GNU bug report logs - #30350
27.0.50; Newest master can't run processes on macOS

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Philipp <p.stephani2@HIDDEN>; merged with #30357; dated Sun, 4 Feb 2018 20:17:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 11 Feb 2018 21:15:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 11 16:15:21 2018
Received: from localhost ([127.0.0.1]:38660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ekyy1-00018d-6b
	for submit <at> debbugs.gnu.org; Sun, 11 Feb 2018 16:15:21 -0500
Received: from mail-wm0-f47.google.com ([74.125.82.47]:35267)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1ekyxz-00018Q-Kq
 for 30350 <at> debbugs.gnu.org; Sun, 11 Feb 2018 16:15:20 -0500
Received: by mail-wm0-f47.google.com with SMTP id r78so6504413wme.0
 for <30350 <at> debbugs.gnu.org>; Sun, 11 Feb 2018 13:15:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=T+c85tdPcNfqMtC5wUzmcm92xKL3N15yyQ1Jqu45ypg=;
 b=ZpAvcZ6b5X+mLYZ7qJtC9/U3fSb9UvPyN3RJGkCdAXio2lez+NgNkHEvxprtUhmfWC
 QSWBhjBvuiUY9yUe+jtj2K5yUPeqw9Mm2PNDinohHx/F2Jst727h7FUj5yEBlIRFvc7L
 pJzPsuxb+gUxanuIuSWRU5XuFveW/tsItPh4aQF7JtiWe4i/0PrcyJYCPDZBVnRqtwXJ
 YNx//OStz5NhUtIltan88LtQGvSA2JTKa+n5IC2UFyELVj6mq8apm1UKiUxP5EgDJe57
 m6Sp7+Rq7CsPqHiZJkI7/UrUUtUmoU2bMwYwscxw96QGTa9pdVKjkgZaYvT29mQYe89C
 hTwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=T+c85tdPcNfqMtC5wUzmcm92xKL3N15yyQ1Jqu45ypg=;
 b=I704/AgSCj5VOFqRcpX4N9CwDKS/XdwLOY2sZz0t+jgtUlsli+oYQwsC305aFd79fb
 Y5peFlrrnlcBVmFbWkH5tqdNv17CCgIz+w8Q2ucPAnKHBW4Zkti3/HRi+mYpQs19JkIc
 U6A33s48HIG/xEVV55oVZjGYdsU9ce47xx71Pfm1PQin7L5uBcQ0jAol0/AiO8RiZo9S
 VhRMA5BA3nt48S3xBl6PimUJLYXBs7QTtl9eKalGhCwxotRlTm6UwjFTof8zZVitB5gd
 K5d2qNWkRNeoPVpu1U73X0zBhgKZy/W5qjq/oPi00vllFREDue+Rfi5hgT/JiKUUjix2
 SUbQ==
X-Gm-Message-State: APf1xPBYlJ9nH3Tz6cWVT+BhomS/sWRrrlLA6xFHmCJISgfhcmnOttIt
 nrhJW2JCDmqhE+/12u6dp0w=
X-Google-Smtp-Source: AH8x224HE8zw9QkeUxUcNJonMe06NjfUoMexe3pqXG9uosxjxjLiY7L75FAtTpzylsEProFIrkV9fw==
X-Received: by 10.28.209.206 with SMTP id i197mr1763108wmg.102.1518383713961; 
 Sun, 11 Feb 2018 13:15:13 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-74c9-75ab-6497-55f7.holly.idiocy.org.
 [2001:8b0:3f8:8129:74c9:75ab:6497:55f7])
 by smtp.gmail.com with ESMTPSA id t2sm3544774wrg.59.2018.02.11.13.15.12
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 11 Feb 2018 13:15:13 -0800 (PST)
Date: Sun, 11 Feb 2018 21:15:11 +0000
From: Alan Third <alan@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
Message-ID: <20180211211511.GC45738@HIDDEN>
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
 <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
 <CAArVCkTtExRqwFe0iw0NjqfQvc1K5httdYaNN=YZZVmQv=xiLA@HIDDEN>
 <20180206224455.GA97842@HIDDEN>
 <CAArVCkSLMCeY-SXTZ6gKRNrnWwg9VDqAL2XWRd-YV6gp+Uk8+A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAArVCkSLMCeY-SXTZ6gKRNrnWwg9VDqAL2XWRd-YV6gp+Uk8+A@HIDDEN>
User-Agent: Mutt/1.9.3 (2018-01-21)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Sun, Feb 11, 2018 at 04:01:18PM +0000, Philipp Stephani wrote:
> Alan Third <alan@HIDDEN> schrieb am Di., 6. Feb. 2018 um 23:44 Uhr:
> 
> > On Tue, Feb 06, 2018 at 10:07:52PM +0000, Philipp Stephani wrote:
> > > However, when I change "file" to "/usr/bin/true" in the names list, the
> > > issue happens again (i.e. lstat and faccessat succeed for
> > > "/usr/bin/true/."). So this does appear to be a macOS bug, but it's not
> > > consistently reproducible.
> >
> > Try setting the permissions of the test file to 500.
> >
> > It looks like if the file is only readable and executable, then the
> > problem occurs, but if it’s writable it goes away.
> >
> > That’s why we see it in places like /usr/bin where we don’t have write
> > permission, but can’t reproduce it in ~/ where we do.
> >
> >
> Hmm. Using the sequence {"file", "file/."} with a mode of 0777 in /tmp
> indeed triggers the wrong behavior for me.

Oh well. As you said, then: It’s inconsistent.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 11 Feb 2018 16:01:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 11 11:01:36 2018
Received: from localhost ([127.0.0.1]:38501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eku4N-0002Qr-TX
	for submit <at> debbugs.gnu.org; Sun, 11 Feb 2018 11:01:36 -0500
Received: from mail-lf0-f51.google.com ([209.85.215.51]:45391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1eku4M-0002Qd-Eo
 for 30350 <at> debbugs.gnu.org; Sun, 11 Feb 2018 11:01:34 -0500
Received: by mail-lf0-f51.google.com with SMTP id x196so17304526lfd.12
 for <30350 <at> debbugs.gnu.org>; Sun, 11 Feb 2018 08:01:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=x6KbVZCLZ2urwYNYxmL62COa/NGz0kLL8T2f3chpdYM=;
 b=IsNUiEZS/kJcM21EqBQew5h3ukB8CtRtpO3pQNHCL+951I0RvZUyUfRX1AzM7tMTA0
 9/w2it6AjWf/TgWYiDT8qm10TiQld3EDFLdxVH1ZJu3QcyLhgAoZcC8cqcXxq75xij71
 2SaPh8d88AS8W5MqpxkxwTouHmlYt62XlTxx67Bi0zZr5DDPXUcfCckCxku+MKOHZiac
 JN3yBcE8Tl7cJ0kB6SWvr6kU6uwlyy3PDglZ2si9x6E2cb4auBMxDKf9HdWpr7eFA68n
 yG65XhaJ2UbQhKBoxvcjL77IhTfa0KRG9tgalEm7u93Uw+MEu7+krax5aVDQn8PtjdBA
 NaLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=x6KbVZCLZ2urwYNYxmL62COa/NGz0kLL8T2f3chpdYM=;
 b=ONybCdyc1uEs1MxsAiPl1suzssjUl6ZrujIWRUESUyDx+x7Gj1wMY7PRh9X4x6ufWY
 fFdC0w6jUtC4ouNNZ3sJ6OLIuUJl+aIA0zteB8PD+Zpo/3ckTRG65xlp/V8TuAyLKVWc
 WyUkM39isQcnK/TBZfLR5drWnLpdNliS+PWhpeuHTRB9+vxGgS4xcCChSXf8MA2cYqX/
 sKvHlHx0Vh5ILB/mLDjs/tMiqkb5vLJ4Hl1OfgQrB/L6R/3DPg2zZsG/BnI9LasLG0yM
 YgjC3Aqmw6ok1QWYXED4kwgsW7d+kL18NtPBZ1oCk6XeeAx5sYCl8qDy70COcPReedV6
 dHKA==
X-Gm-Message-State: APf1xPDvrBkiXNCYcCsqIafwOS6LRSESzORJVGUShAmOzPUlld0oUBbP
 uch+SWfgUB4YSuAoKh4X3giRYwVKCOFobS1eb1nirA==
X-Google-Smtp-Source: AH8x224bRY0sUgLAMDCJHm4yuJFp9V+obvpbOhSMZj9S821G/lnhODVYVdHjdTjYzWoC5C8JOVb39eOSv6KpDPmU3nI=
X-Received: by 10.46.51.7 with SMTP id d7mr5460726ljc.78.1518364888673; Sun,
 11 Feb 2018 08:01:28 -0800 (PST)
MIME-Version: 1.0
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
 <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
 <CAArVCkTtExRqwFe0iw0NjqfQvc1K5httdYaNN=YZZVmQv=xiLA@HIDDEN>
 <20180206224455.GA97842@HIDDEN>
In-Reply-To: <20180206224455.GA97842@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sun, 11 Feb 2018 16:01:18 +0000
Message-ID: <CAArVCkSLMCeY-SXTZ6gKRNrnWwg9VDqAL2XWRd-YV6gp+Uk8+A@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary="089e082fb8e0d432760564f1dfb9"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--089e082fb8e0d432760564f1dfb9
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Alan Third <alan@HIDDEN> schrieb am Di., 6. Feb. 2018 um 23:44 Uhr:

> On Tue, Feb 06, 2018 at 10:07:52PM +0000, Philipp Stephani wrote:
> > However, when I change "file" to "/usr/bin/true" in the names list, the
> > issue happens again (i.e. lstat and faccessat succeed for
> > "/usr/bin/true/."). So this does appear to be a macOS bug, but it's not
> > consistently reproducible.
>
> Try setting the permissions of the test file to 500.
>
> It looks like if the file is only readable and executable, then the
> problem occurs, but if it=E2=80=99s writable it goes away.
>
> That=E2=80=99s why we see it in places like /usr/bin where we don=E2=80=
=99t have write
> permission, but can=E2=80=99t reproduce it in ~/ where we do.
>
>
Hmm. Using the sequence {"file", "file/."} with a mode of 0777 in /tmp
indeed triggers the wrong behavior for me.

--089e082fb8e0d432760564f1dfb9
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Alan T=
hird &lt;<a href=3D"mailto:alan@HIDDEN">alan@HIDDEN</a>&gt; schrieb=
 am Di., 6. Feb. 2018 um 23:44=C2=A0Uhr:<br></div><blockquote class=3D"gmai=
l_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left=
:1ex">On Tue, Feb 06, 2018 at 10:07:52PM +0000, Philipp Stephani wrote:<br>
&gt; However, when I change &quot;file&quot; to &quot;/usr/bin/true&quot; i=
n the names list, the<br>
&gt; issue happens again (i.e. lstat and faccessat succeed for<br>
&gt; &quot;/usr/bin/true/.&quot;). So this does appear to be a macOS bug, b=
ut it&#39;s not<br>
&gt; consistently reproducible.<br>
<br>
Try setting the permissions of the test file to 500.<br>
<br>
It looks like if the file is only readable and executable, then the<br>
problem occurs, but if it=E2=80=99s writable it goes away.<br>
<br>
That=E2=80=99s why we see it in places like /usr/bin where we don=E2=80=99t=
 have write<br>
permission, but can=E2=80=99t reproduce it in ~/ where we do.<br>
<br></blockquote><div><br></div><div>Hmm. Using the sequence {&quot;file&qu=
ot;, &quot;file/.&quot;} with a mode of 0777 in /tmp indeed triggers the wr=
ong behavior for me.</div></div></div>

--089e082fb8e0d432760564f1dfb9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 11 Feb 2018 15:56:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 11 10:56:49 2018
Received: from localhost ([127.0.0.1]:38490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ektzl-0002I8-LV
	for submit <at> debbugs.gnu.org; Sun, 11 Feb 2018 10:56:49 -0500
Received: from mail-lf0-f45.google.com ([209.85.215.45]:43422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1ektzi-0002Hv-MT
 for 30350 <at> debbugs.gnu.org; Sun, 11 Feb 2018 10:56:48 -0500
Received: by mail-lf0-f45.google.com with SMTP id u3so1691814lff.10
 for <30350 <at> debbugs.gnu.org>; Sun, 11 Feb 2018 07:56:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=RVrmu/Z7uQALYnVamRyiUA0BHqmceh1ZQse5ocTiuhQ=;
 b=il8EQiF1t3ubYyBKrCc3Kc5Dr7yz0eH3U0rghK2zpoWCaGH6vyNTxNpdrslwHzYqSx
 XDlJKvGOmR8o8AqqVwbHl/zBbP3kXxyjPBc1fq215dJdCeRIil1kvTLNK3vosKh4OhsA
 fhf/5T1ZIZuDoS/wAdknSNppN0VDJSMhADPBnyo+XJZ+m/pW94eGl/GSq16CzkWpKmLa
 A0Rtaxues8LnVj/n2I7dhkompcVrQXX408/jgIN+L6an5Muu4ydT+fIzayFf0ND0+4Gi
 1HB6WpuTOHmLzA3Bhxcnnd9OtkoZI9fWH+xZDyP2FHrVy74DAgAqHHOo70Ibf4Fzb/nR
 VC2w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=RVrmu/Z7uQALYnVamRyiUA0BHqmceh1ZQse5ocTiuhQ=;
 b=sVG+GZPxnm/xS9nU7W1qcuHbQyFqv8N9kbsqjIyaf8CNtdjHLtgEaNq4ht9/Yb8I2n
 zBziCbVH/BqttbSoNTs05znSxUNp+zMufgMHJ6irJYl9OK8rhazMdxvaN6Vb1NB1KGfl
 YiU7DkzX+KJpha34tUATHir8exOgwwKhzBT9kuIGlpAhi9qv8i8xQ8t++VLa+TtgNXC+
 LtP82uyUkU8ywQweDh67EaAHVwvudxsqzluZapA5kLukUifqGe9GcQ1KeroW+Q20ncay
 aOG7svOK6TYjXBwsdG7ADRTo+Zt+RiuH2k+x1n7pjWjXSJDECsXNOSpOQt14JA1iMxe/
 evlw==
X-Gm-Message-State: APf1xPDW4X9N8WfaiyIi6tcYmR44qQCy9EUQYWUCf6gVPfOnHDIqIDJT
 Z4A5E7pNncR1xX7pLVOEQ3EKbdQO/tXtMXy9Jgs=
X-Google-Smtp-Source: AH8x2242LtvFta7Tvguu1dgmt+kfFVp6SSQuhdDt1lhFzD2pucJ+H5bU7CKxSO6neLl7lTNRaDB/o+r4/Zc5AfPj0H8=
X-Received: by 10.25.35.137 with SMTP id j131mr6138612lfj.17.1518364600668;
 Sun, 11 Feb 2018 07:56:40 -0800 (PST)
MIME-Version: 1.0
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
 <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
 <CAArVCkTtExRqwFe0iw0NjqfQvc1K5httdYaNN=YZZVmQv=xiLA@HIDDEN>
 <CAArVCkSmTn3XV7v=kMweDWed9pbypKzCkpQu+xah6ApRj_tVCw@HIDDEN>
In-Reply-To: <CAArVCkSmTn3XV7v=kMweDWed9pbypKzCkpQu+xah6ApRj_tVCw@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sun, 11 Feb 2018 15:56:29 +0000
Message-ID: <CAArVCkR5nL+F3jXEh-y=+PddLzbLfk8MD9BpuOVXCZAhW82RPw@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Paul Eggert <eggert@HIDDEN>
Content-Type: multipart/alternative; boundary="001a113aad98a999c00564f1ce61"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--001a113aad98a999c00564f1ce61
Content-Type: text/plain; charset="UTF-8"

Philipp Stephani <p.stephani2@HIDDEN> schrieb am Di., 6. Feb. 2018 um
23:10 Uhr:

> Philipp Stephani <p.stephani2@HIDDEN> schrieb am Di., 6. Feb. 2018 um
> 23:07 Uhr:
>
>> Philipp Stephani <p.stephani2@HIDDEN> schrieb am Di., 6. Feb. 2018 um
>> 01:26 Uhr:
>>
>>> Paul Eggert <eggert@HIDDEN> schrieb am Di., 6. Feb. 2018 um
>>> 00:56 Uhr:
>>>
>>>> On 02/05/2018 11:18 AM, Alan Third wrote:
>>>> >
>>>> > Yes, it fixes the problem here.
>>>> >
>>>> > Is this a known issue with macOS?
>>>>
>>>> It's news to me and it's not listed in the Gnulib portability gotcha
>>>> list.
>>>>
>>>> What happens if you run the attached program on macOS? It creates a file
>>>> "file" and then tries to access it as a directory, which should not
>>>> work.
>>>>
>>>>
>>> It succeeds and prints nothing (i.e. the error is ENOTDIR in all cases).
>>> So this is even more mysterious than I thought.
>>>
>>
>> However, when I change "file" to "/usr/bin/true" in the names list, the
>> issue happens again (i.e. lstat and faccessat succeed for
>> "/usr/bin/true/."). So this does appear to be a macOS bug, but it's not
>> consistently reproducible.
>>
>
> The issue also goes away if I change the fourth argument of faccessat to
> 0.
>


...albeit only temporarily. Occasionally the wrong behavior happens,
occasionally is doesn't, seemingly without meaningful pattern. This seems
to be quite a nasty bug in the OS.

--001a113aad98a999c00564f1ce61
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Philip=
p Stephani &lt;<a href=3D"mailto:p.stephani2@HIDDEN">p.stephani2@HIDDEN=
om</a>&gt; schrieb am Di., 6. Feb. 2018 um 23:10=C2=A0Uhr:<br></div><blockq=
uote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc =
solid;padding-left:1ex"><div dir=3D"ltr"><div class=3D"gmail_quote"><div di=
r=3D"ltr">Philipp Stephani &lt;<a href=3D"mailto:p.stephani2@HIDDEN" tar=
get=3D"_blank">p.stephani2@HIDDEN</a>&gt; schrieb am Di., 6. Feb. 2018 u=
m 23:07=C2=A0Uhr:<br></div><blockquote class=3D"gmail_quote" style=3D"margi=
n:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div dir=3D"ltr">=
<div class=3D"gmail_quote"><div dir=3D"ltr">Philipp Stephani &lt;<a href=3D=
"mailto:p.stephani2@HIDDEN" target=3D"_blank">p.stephani2@HIDDEN</a>&=
gt; schrieb am Di., 6. Feb. 2018 um 01:26=C2=A0Uhr:<br></div><blockquote cl=
ass=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;p=
adding-left:1ex"><div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"lt=
r">Paul Eggert &lt;<a href=3D"mailto:eggert@HIDDEN" target=3D"_blank">=
eggert@HIDDEN</a>&gt; schrieb am Di., 6. Feb. 2018 um 00:56=C2=A0Uhr:<=
br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;borde=
r-left:1px #ccc solid;padding-left:1ex">On 02/05/2018 11:18 AM, Alan Third =
wrote:<br>
&gt;<br>
&gt; Yes, it fixes the problem here.<br>
&gt;<br>
&gt; Is this a known issue with macOS?<br>
<br>
It&#39;s news to me and it&#39;s not listed in the Gnulib portability gotch=
a list.<br>
<br>
What happens if you run the attached program on macOS? It creates a file<br=
>
&quot;file&quot; and then tries to access it as a directory, which should n=
ot work.<br>
<br></blockquote><div><br></div></div></div><div dir=3D"ltr"><div class=3D"=
gmail_quote"><div>It succeeds and prints nothing (i.e. the error is ENOTDIR=
 in all cases).</div><div>So this is even more mysterious than I thought.=
=C2=A0</div></div></div></blockquote><div><br></div></div></div><div dir=3D=
"ltr"><div class=3D"gmail_quote"><div>However, when I change &quot;file&quo=
t; to &quot;/usr/bin/true&quot; in the names list, the issue happens again =
(i.e. lstat and faccessat succeed for &quot;/usr/bin/true/.&quot;). So this=
 does appear to be a macOS bug, but it&#39;s not consistently reproducible.=
</div></div></div></blockquote><div><br></div></div></div><div dir=3D"ltr">=
<div class=3D"gmail_quote"><div>The issue also goes away if I change the fo=
urth argument of faccessat to 0.=C2=A0</div></div></div></blockquote><div><=
br></div><div><br></div><div>...albeit only temporarily. Occasionally the w=
rong behavior happens, occasionally is doesn&#39;t, seemingly without meani=
ngful pattern. This seems to be quite a nasty bug in the OS.=C2=A0</div></d=
iv></div>

--001a113aad98a999c00564f1ce61--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 10 Feb 2018 10:47:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 10 05:47:39 2018
Received: from localhost ([127.0.0.1]:36099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ekSh0-0003Cm-P2
	for submit <at> debbugs.gnu.org; Sat, 10 Feb 2018 05:47:38 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ekSgy-0003CZ-Nw
 for 30350 <at> debbugs.gnu.org; Sat, 10 Feb 2018 05:47:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ekSgo-0008Pj-Rz
 for 30350 <at> debbugs.gnu.org; Sat, 10 Feb 2018 05:47:31 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35476)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ekSgo-0008PU-NE; Sat, 10 Feb 2018 05:47:26 -0500
Received: from [176.228.60.248] (port=3466 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ekSgo-0008Tc-3v; Sat, 10 Feb 2018 05:47:26 -0500
Date: Sat, 10 Feb 2018 12:47:08 +0200
Message-Id: <83inb52kb7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-reply-to: <20180204210615.GB42949@HIDDEN> (message from
 Alan Third on Sun, 4 Feb 2018 21:06:15 +0000)
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
References: <m21si0a4ub.fsf@HIDDEN>
 <CAArVCkSMjS71D8K6ahM4+-k4RF0UUfVydVHtvxRWzezQEGq7sg@HIDDEN>
 <20180204210615.GB42949@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, p.stephani2@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sun, 4 Feb 2018 21:06:15 +0000
> From: Alan Third <alan@HIDDEN>
> Cc: 30350 <at> debbugs.gnu.org
> 
> Incidentally it looks like, on MSDOS, file_directory_p calls
> file_accessible_directory_p, which calls file_directory_p.

Thanks for catching this, I fixed it now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 23:38:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 18:38:29 2018
Received: from localhost ([127.0.0.1]:60704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejCol-0007uS-4m
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 18:38:29 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:41552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1ejCoh-0007uA-81
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 18:38:23 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 34D3A1615B4;
 Tue,  6 Feb 2018 15:38:17 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id FxNtbidYQJdL; Tue,  6 Feb 2018 15:38:16 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 79FF81615D3;
 Tue,  6 Feb 2018 15:38:16 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id Wbd0_82uJSB8; Tue,  6 Feb 2018 15:38:16 -0800 (PST)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 5FF371615B4;
 Tue,  6 Feb 2018 15:38:16 -0800 (PST)
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Philipp Stephani <p.stephani2@HIDDEN>
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
 <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
 <59f3f90b-f19d-71be-6cf9-de8a020db174@HIDDEN>
 <CAArVCkThmsB0Z-qdq39QeV=0jS8oPwuBWb5ghWKOevZ-H6QscQ@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <a0925221-e6c2-8c29-7bfd-5cc657981116@HIDDEN>
Date: Tue, 6 Feb 2018 15:38:16 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.6.0
MIME-Version: 1.0
In-Reply-To: <CAArVCkThmsB0Z-qdq39QeV=0jS8oPwuBWb5ghWKOevZ-H6QscQ@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 02/05/2018 04:43 PM, Philipp Stephani wrote:
> Maybe that bug was once present, and has been fixed since then?
> I've noticed that REPLACE_FACCESSAT is 1, so configure thinks that 
> faccessat is broken. Apparently faccessat.m4 checks for the behavior 
> of lstat, not faccessat.

My impression is that the Gnulib manual section was written at the same 
time as the REPLACE_FACCESSAT stuff. The code assumes that faccessat is 
broken only if lstat is broken is a similar way. My guess is that this 
new behavior (whatever it is) is a somewhat-different bug.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 22:53:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 17:53:18 2018
Received: from localhost ([127.0.0.1]:60671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejC74-0006n6-L9
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 17:53:18 -0500
Received: from mail-wm0-f41.google.com ([74.125.82.41]:35528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1ejC73-0006ms-1v
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 17:53:17 -0500
Received: by mail-wm0-f41.google.com with SMTP id r78so7017827wme.0
 for <30350 <at> debbugs.gnu.org>; Tue, 06 Feb 2018 14:53:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc:content-transfer-encoding;
 bh=UvavTRS8xt2jQZgkV3HcByFXWuUqFqR508PjxESxTIE=;
 b=glgURfKp05yV28GqD0BULQDeyLSXM+sDUB9afKqjQ1yQW6xQorDiRw2jJqjcPEaaTI
 rHI77ALcoecWlhdQ/1LDa+JJWAFuIcPXJ2LqgHUTuRP88spbPKLS+JR96Pdx1O4MEsjD
 EAUwfJU1V+w+gir+8gGYes6hUyoKZ278tRqW1ZXbNca8gy0+DeByBzsP9s1W+HykbwhC
 dlewDq5dLEZjLhHPu6bmqhgsoFu33kDCzLhapzpm0FQC4fa/pEPIIbRaWFT3+DJoWZ8j
 zZrTWOdGydUNlukXid0gfdGVeKn8LqxUiQ/Iwrzc1yRke61nmBPncxhbqjg8QgX9C5sT
 jVnw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc:content-transfer-encoding;
 bh=UvavTRS8xt2jQZgkV3HcByFXWuUqFqR508PjxESxTIE=;
 b=Hx2pUd/QKsNnZR+aCX0Tzy1WkLv+QDTVxQfAmjAK11RPbuVOaY64LGc1OGQrNUN0Av
 9pzrB4ziTZVViZoW8WdYsoDVgNeLXt2/4RUo0GEyfc7cppEOpC6QjLyYG8NbqSbDdYau
 5J9lhIAjoqAQFcFHc4lKJmCHGENVCW9LwMcrTJ2KPF19c1ElkHOdctJwD8Xb8baiKQqB
 ox3ev5zx9KCFhu/F1QIeag9lAUFs/zo8Ye1khFA84f0gQ+FSyRszAc0SFnNJtzLIlnN8
 Mw7A9J4o3PghkYeGug4SULicUAV7dHWWaBHoy/MBamL5iT7fWbwNwxwpv71bXxoOeMM8
 C8WA==
X-Gm-Message-State: APf1xPDqsbIKGuEoYSYHTrITibzSlP4zQrDrJBRA1yw0fFF/YoSihmc9
 RK190dOhGG9WMu+3rxTmpcYZIVQ/6FjfC6VYL8E=
X-Google-Smtp-Source: AH8x226HqSlD2zdnkAgJVspMIu9/g7M1tPXhBhkQLMX/TNBnOKnG1h+GmeYBrZ0f26rnqD2o8yrdPpEeSDcThOcwC+M=
X-Received: by 10.28.129.70 with SMTP id c67mr3365493wmd.160.1517957591298;
 Tue, 06 Feb 2018 14:53:11 -0800 (PST)
MIME-Version: 1.0
Received: by 10.223.182.69 with HTTP; Tue, 6 Feb 2018 14:53:10 -0800 (PST)
In-Reply-To: <20180206224455.GA97842@HIDDEN>
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
 <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
 <CAArVCkTtExRqwFe0iw0NjqfQvc1K5httdYaNN=YZZVmQv=xiLA@HIDDEN>
 <20180206224455.GA97842@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Tue, 6 Feb 2018 17:53:10 -0500
X-Google-Sender-Auth: 4JBhHpjZsvAVHNjirG15g8dw7BY
Message-ID: <CAM-tV-8PSg4dH7hG_wBLEokuqbPM3ZPHiMu7MOwet1p2c4NFOw@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Alan Third <alan@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Philipp Stephani <p.stephani2@HIDDEN>,
 Paul Eggert <eggert@HIDDEN>, Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Tue, Feb 6, 2018 at 5:44 PM, Alan Third <alan@HIDDEN> wrote:
> On Tue, Feb 06, 2018 at 10:07:52PM +0000, Philipp Stephani wrote:
>> However, when I change "file" to "/usr/bin/true" in the names list, the
>> issue happens again (i.e. lstat and faccessat succeed for
>> "/usr/bin/true/."). So this does appear to be a macOS bug, but it's not
>> consistently reproducible.
>
> Try setting the permissions of the test file to 500.
>
> It looks like if the file is only readable and executable, then the
> problem occurs, but if it=E2=80=99s writable it goes away.
>
> That=E2=80=99s why we see it in places like /usr/bin where we don=E2=80=
=99t have write
> permission, but can=E2=80=99t reproduce it in ~/ where we do.

Is this the same or related to Bug#21573? (I don't know much about
macOS, but seems to involve the same system call)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 22:45:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 17:45:06 2018
Received: from localhost ([127.0.0.1]:60667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejBz7-0006b9-QI
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 17:45:05 -0500
Received: from mail-wr0-f177.google.com ([209.85.128.177]:45200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1ejBz6-0006aP-7z
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 17:45:04 -0500
Received: by mail-wr0-f177.google.com with SMTP id h9so3642895wre.12
 for <30350 <at> debbugs.gnu.org>; Tue, 06 Feb 2018 14:45:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=LNP3YLYrp51Zet84EP7qcJhSbVk8iJkb3/1/j/v1uQQ=;
 b=tPVNTUEU5pZLfj0+kQoJ0M792MABJziSGdpzjyJfsF5dPR+OefkZa968LAfeTZLVBx
 eH8v5We9Dih6tLZGuUAkVGsOmd2zxhP0EDWvuH/kaBA8+Yb0qvDklIUwbws/czlcyNr0
 TS7sVCTmXrtiPKl0stztymmY5ccYug9HZW12/nx121Frp5ZJbQOtOMP7335AuF+jGGZ7
 h1B42yiGQcopiz6hL8+3FUFEK6b3+fhevrbvNLiAWqIsFChkqVEIjchedA3KPPXO8IYA
 xGmlYfHYO6wwsyLak/UQRLGNk5l8AuiHYSXqR4+t6fcj01wwJ2FIwfqMCkC9sjvBBQH6
 6erg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=LNP3YLYrp51Zet84EP7qcJhSbVk8iJkb3/1/j/v1uQQ=;
 b=K377FKTveKt85bfJQn25ODqfacbXEfRDxekkie49Q7gBYdAfZPWPkYK2i10fgS5ow/
 tOevwJfrUdJG3y5mq6FjG8YVrtSgxqzlLhLXQ+FOZIKz54bEm5n+ObpTCWi2q1m1VIp/
 eYJ5OEyto8QW75urQSKT9Noof9BXVT7+tzzaSEsXZNJEjl5dVrmCcMeb7fRy03BODGdN
 v3HHPrk8MH8iAIFbzQN5jb8jCYDZyob0AO+obW1s7bT39Y9h3eOicL3oeWuawpylUheW
 FRE+7QR9FptKvs0Ze5cql01RiRvaJ6ca7rHS2TkVpW3kWlNIk9juEGLdSduyoof2dkon
 tq8w==
X-Gm-Message-State: APf1xPBpZ08hEDSbMeEyiLs1Aq8k5yFeUVT3rnhAwZe+za/18QWWHxzl
 w9bbzB4G/UGOFpNsbafJ+bI=
X-Google-Smtp-Source: AH8x226J31l9TcaNp+6e0qKjDmz3TzNVhRJSJ7jEL8o3K00eK8t+lZT1+xqZJB60pLROJqrqwEeUNw==
X-Received: by 10.223.131.133 with SMTP id 5mr3247487wre.153.1517957098178;
 Tue, 06 Feb 2018 14:44:58 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-31e7-f19a-b11e-7053.holly.idiocy.org.
 [2001:8b0:3f8:8129:31e7:f19a:b11e:7053])
 by smtp.gmail.com with ESMTPSA id y52sm81441wrb.52.2018.02.06.14.44.56
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 06 Feb 2018 14:44:57 -0800 (PST)
Date: Tue, 6 Feb 2018 22:44:55 +0000
From: Alan Third <alan@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
Message-ID: <20180206224455.GA97842@HIDDEN>
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
 <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
 <CAArVCkTtExRqwFe0iw0NjqfQvc1K5httdYaNN=YZZVmQv=xiLA@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAArVCkTtExRqwFe0iw0NjqfQvc1K5httdYaNN=YZZVmQv=xiLA@HIDDEN>
User-Agent: Mutt/1.9.3 (2018-01-21)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Tue, Feb 06, 2018 at 10:07:52PM +0000, Philipp Stephani wrote:
> However, when I change "file" to "/usr/bin/true" in the names list, the
> issue happens again (i.e. lstat and faccessat succeed for
> "/usr/bin/true/."). So this does appear to be a macOS bug, but it's not
> consistently reproducible.

Try setting the permissions of the test file to 500.

It looks like if the file is only readable and executable, then the
problem occurs, but if it’s writable it goes away.

That’s why we see it in places like /usr/bin where we don’t have write
permission, but can’t reproduce it in ~/ where we do.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 22:10:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 17:10:26 2018
Received: from localhost ([127.0.0.1]:60660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejBRZ-0005m8-1Y
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 17:10:26 -0500
Received: from mail-lf0-f51.google.com ([209.85.215.51]:34026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1ejBRX-0005lu-Q8
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 17:10:24 -0500
Received: by mail-lf0-f51.google.com with SMTP id k19so4975905lfj.1
 for <30350 <at> debbugs.gnu.org>; Tue, 06 Feb 2018 14:10:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=jHZhm44Ea7W25u0UsbtWLJI4MfOCgjGmMoJ79GcvBYE=;
 b=Nc6rCsDnXLuyj2ZanloxWlPtlieGpcyTzmdkZALJZ6LEWykye5lfMoANWS42IOpHjR
 9xveEKJLF9kFPzzw2pjGZjaQXrc2PJchMzMHO5a5RMkZJNZwlvuxipQptL95c8MHPjam
 3W0dH+tLKlBUoOJICG3fPzuXTkwLQLa/IxUC16VkeGeTy60C5oRR+3dNdQVj5U04ZtaR
 VYxJK2g+OUetpX+byXW0rrdegso1O8lGBWbBAc/GvtexOmB7XdRAobOkNFfxYufmfaQl
 nBlgMbbM46MxYIH2wJDdUtXM+WqKAE2MpoLJEpDCU8xy3dDywk/my7CqvJuwT7oRHVNx
 dD2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=jHZhm44Ea7W25u0UsbtWLJI4MfOCgjGmMoJ79GcvBYE=;
 b=L0XWInzmRwDhotDafED2jp7cQnzSh9HoUgIvr8ckU7gVYZzzf9/EFq3xpEyeoSNZ9K
 Hs3qPOqhEDrBPyzlgJ6PEOqWdACa1aBuTinjPRRBZQfOiKctD7I1d1RE+jAFvY5853FW
 OyghroYQRITgASUm+ufMKV6NmGCek38J/kFOLOZT2LE2vgzI4GxrOQ+49YYmgFWhwlii
 W/E/mG1bIdmCTdfkCsq69KG4OB49S7StrtxL8NRJkeFQDOydI3HXlmdwjpOSp5XAAcDY
 3xnASv+fb+AoS0E4UQdVoD4wolQpv30/B9CY4TaLsybnabgo2IYr+zvOQNVpZIA9QR1Q
 QBiw==
X-Gm-Message-State: APf1xPDrEqMA4Wce3ztBcrJHrFpmivMv5u/b8EJdTk45XiTky6/Q5csM
 3JlzgQONV+ql3N2JCHWnUyu0XmkzuQRLcEIunOc=
X-Google-Smtp-Source: AH8x226kQqkgK9BWwLP8drqxmHXgfG8VAe/UgsrNUODXYFEdIq28Xwc5Smire7sAzX/uU3ptbX5RA5inTcmEgVc8eKk=
X-Received: by 10.25.149.143 with SMTP id x137mr2889310lfd.119.1517955018124; 
 Tue, 06 Feb 2018 14:10:18 -0800 (PST)
MIME-Version: 1.0
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
 <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
 <CAArVCkTtExRqwFe0iw0NjqfQvc1K5httdYaNN=YZZVmQv=xiLA@HIDDEN>
In-Reply-To: <CAArVCkTtExRqwFe0iw0NjqfQvc1K5httdYaNN=YZZVmQv=xiLA@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Tue, 06 Feb 2018 22:10:07 +0000
Message-ID: <CAArVCkSmTn3XV7v=kMweDWed9pbypKzCkpQu+xah6ApRj_tVCw@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Paul Eggert <eggert@HIDDEN>
Content-Type: multipart/alternative; boundary="001a1147dcfea3f396056492710b"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--001a1147dcfea3f396056492710b
Content-Type: text/plain; charset="UTF-8"

Philipp Stephani <p.stephani2@HIDDEN> schrieb am Di., 6. Feb. 2018 um
23:07 Uhr:

> Philipp Stephani <p.stephani2@HIDDEN> schrieb am Di., 6. Feb. 2018 um
> 01:26 Uhr:
>
>> Paul Eggert <eggert@HIDDEN> schrieb am Di., 6. Feb. 2018 um
>> 00:56 Uhr:
>>
>>> On 02/05/2018 11:18 AM, Alan Third wrote:
>>> >
>>> > Yes, it fixes the problem here.
>>> >
>>> > Is this a known issue with macOS?
>>>
>>> It's news to me and it's not listed in the Gnulib portability gotcha
>>> list.
>>>
>>> What happens if you run the attached program on macOS? It creates a file
>>> "file" and then tries to access it as a directory, which should not work.
>>>
>>>
>> It succeeds and prints nothing (i.e. the error is ENOTDIR in all cases).
>> So this is even more mysterious than I thought.
>>
>
> However, when I change "file" to "/usr/bin/true" in the names list, the
> issue happens again (i.e. lstat and faccessat succeed for
> "/usr/bin/true/."). So this does appear to be a macOS bug, but it's not
> consistently reproducible.
>

The issue also goes away if I change the fourth argument of faccessat to 0.

--001a1147dcfea3f396056492710b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Philip=
p Stephani &lt;<a href=3D"mailto:p.stephani2@HIDDEN">p.stephani2@HIDDEN=
om</a>&gt; schrieb am Di., 6. Feb. 2018 um 23:07=C2=A0Uhr:<br></div><blockq=
uote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc =
solid;padding-left:1ex"><div dir=3D"ltr"><div class=3D"gmail_quote"><div di=
r=3D"ltr">Philipp Stephani &lt;<a href=3D"mailto:p.stephani2@HIDDEN" tar=
get=3D"_blank">p.stephani2@HIDDEN</a>&gt; schrieb am Di., 6. Feb. 2018 u=
m 01:26=C2=A0Uhr:<br></div><blockquote class=3D"gmail_quote" style=3D"margi=
n:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div dir=3D"ltr">=
<div class=3D"gmail_quote"><div dir=3D"ltr">Paul Eggert &lt;<a href=3D"mail=
to:eggert@HIDDEN" target=3D"_blank">eggert@HIDDEN</a>&gt; schrieb=
 am Di., 6. Feb. 2018 um 00:56=C2=A0Uhr:<br></div><blockquote class=3D"gmai=
l_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left=
:1ex">On 02/05/2018 11:18 AM, Alan Third wrote:<br>
&gt;<br>
&gt; Yes, it fixes the problem here.<br>
&gt;<br>
&gt; Is this a known issue with macOS?<br>
<br>
It&#39;s news to me and it&#39;s not listed in the Gnulib portability gotch=
a list.<br>
<br>
What happens if you run the attached program on macOS? It creates a file<br=
>
&quot;file&quot; and then tries to access it as a directory, which should n=
ot work.<br>
<br></blockquote><div><br></div></div></div><div dir=3D"ltr"><div class=3D"=
gmail_quote"><div>It succeeds and prints nothing (i.e. the error is ENOTDIR=
 in all cases).</div><div>So this is even more mysterious than I thought.=
=C2=A0</div></div></div></blockquote><div><br></div></div></div><div dir=3D=
"ltr"><div class=3D"gmail_quote"><div>However, when I change &quot;file&quo=
t; to &quot;/usr/bin/true&quot; in the names list, the issue happens again =
(i.e. lstat and faccessat succeed for &quot;/usr/bin/true/.&quot;). So this=
 does appear to be a macOS bug, but it&#39;s not consistently reproducible.=
</div></div></div></blockquote><div><br></div><div>The issue also goes away=
 if I change the fourth argument of faccessat to 0.=C2=A0</div></div></div>

--001a1147dcfea3f396056492710b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 22:08:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 17:08:10 2018
Received: from localhost ([127.0.0.1]:60656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejBPO-0005il-K5
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 17:08:10 -0500
Received: from mail-lf0-f53.google.com ([209.85.215.53]:38259)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1ejBPN-0005iZ-Hr
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 17:08:09 -0500
Received: by mail-lf0-f53.google.com with SMTP id g72so4951400lfg.5
 for <30350 <at> debbugs.gnu.org>; Tue, 06 Feb 2018 14:08:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=vufORVonK5PEyRvU7AFNCgmhEJRAivX91BujEHYqupQ=;
 b=GtRZ5dGOxKITa7/alpQ0qS7teE7b3Jcj/zf8Fb4ugHdXFkBLl7kpp7/axxxCNMmwKJ
 qv+H+Ea6lX3n5nR6V6gud4uG5ojJOkLH3S1SjVDqBg5a7aNeCSogc4IbIECF1j0FpFR9
 YqjyX9Anha2eQRCI3cI4ybTWXctMymTvRDVtvFgzbKxuuVb+p0hm9UWGS8gggVRVjRmC
 73H2unQDFDcSFxZ2lVhcIm9ETNVqgRTb7df4FIb9MA78Rem763AHNDWlG9UdUFA9XH2n
 mFd/8Jtv1+yq68GEP/Od8picJcketKSCobouLXVVH0VfjpuvJmtAwC9YQiJCuIr95QCV
 Y4IQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=vufORVonK5PEyRvU7AFNCgmhEJRAivX91BujEHYqupQ=;
 b=OeKoceOkD2+XE56Ym2ZrPRmkXQmLuyCPno2m7lWQgkNlhpLQd1jPdDPLNaLav4UaxF
 hE3ZxCQ3rhDRu48jqNBEW7CihiCwtGkvgyQ5UTXQQTOjl2Q+eLFfihvHpvScJM0nI0lq
 PxF1RofTiarcqXm/BNp/tGKvxCddwYj2qKQ0B5bFf3ofdszXmtnAtzbtI87PyYrS0tWl
 PEoIdiO6vUEJjL91PjxK23lvyg8aNj/HQax4DxlPYUKq5AcWLhd1aXGM++7yZ2EY++J9
 MW6EhGvy8Oqoi7/pK0WyrAyMfwBvZxKQTVeJlurVSeu+X4LtY+c+oThwoQCTkgm8MSk0
 If3g==
X-Gm-Message-State: APf1xPDzwE3xmgPWG25vHm+FqGZcYoO8aLDttgAXGTF5dr0uaCKGR6Ke
 NEdYR6zMiqtLvKTZQ60UuCuWcKbb04j/370UeLI=
X-Google-Smtp-Source: AH8x22693QXIdI7cI5InXV4wgwNEi7lI9cSOwm9ngF3Qmb19km/vGqtk7N/yeAMiRADfe2YNxheluaD0FLjxTLFVYhw=
X-Received: by 10.46.17.93 with SMTP id f90mr2571593lje.92.1517954883139; Tue,
 06 Feb 2018 14:08:03 -0800 (PST)
MIME-Version: 1.0
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
 <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
In-Reply-To: <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Tue, 06 Feb 2018 22:07:52 +0000
Message-ID: <CAArVCkTtExRqwFe0iw0NjqfQvc1K5httdYaNN=YZZVmQv=xiLA@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Paul Eggert <eggert@HIDDEN>
Content-Type: multipart/alternative; boundary="94eb2c1c0c4a983d740564926996"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--94eb2c1c0c4a983d740564926996
Content-Type: text/plain; charset="UTF-8"

Philipp Stephani <p.stephani2@HIDDEN> schrieb am Di., 6. Feb. 2018 um
01:26 Uhr:

> Paul Eggert <eggert@HIDDEN> schrieb am Di., 6. Feb. 2018 um
> 00:56 Uhr:
>
>> On 02/05/2018 11:18 AM, Alan Third wrote:
>> >
>> > Yes, it fixes the problem here.
>> >
>> > Is this a known issue with macOS?
>>
>> It's news to me and it's not listed in the Gnulib portability gotcha list.
>>
>> What happens if you run the attached program on macOS? It creates a file
>> "file" and then tries to access it as a directory, which should not work.
>>
>>
> It succeeds and prints nothing (i.e. the error is ENOTDIR in all cases).
> So this is even more mysterious than I thought.
>

However, when I change "file" to "/usr/bin/true" in the names list, the
issue happens again (i.e. lstat and faccessat succeed for
"/usr/bin/true/."). So this does appear to be a macOS bug, but it's not
consistently reproducible.

--94eb2c1c0c4a983d740564926996
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Philip=
p Stephani &lt;<a href=3D"mailto:p.stephani2@HIDDEN">p.stephani2@HIDDEN=
om</a>&gt; schrieb am Di., 6. Feb. 2018 um 01:26=C2=A0Uhr:<br></div><blockq=
uote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc =
solid;padding-left:1ex"><div dir=3D"ltr"><div class=3D"gmail_quote"><div di=
r=3D"ltr">Paul Eggert &lt;<a href=3D"mailto:eggert@HIDDEN" target=3D"_=
blank">eggert@HIDDEN</a>&gt; schrieb am Di., 6. Feb. 2018 um 00:56=C2=
=A0Uhr:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8=
ex;border-left:1px #ccc solid;padding-left:1ex">On 02/05/2018 11:18 AM, Ala=
n Third wrote:<br>
&gt;<br>
&gt; Yes, it fixes the problem here.<br>
&gt;<br>
&gt; Is this a known issue with macOS?<br>
<br>
It&#39;s news to me and it&#39;s not listed in the Gnulib portability gotch=
a list.<br>
<br>
What happens if you run the attached program on macOS? It creates a file<br=
>
&quot;file&quot; and then tries to access it as a directory, which should n=
ot work.<br>
<br></blockquote><div><br></div></div></div><div dir=3D"ltr"><div class=3D"=
gmail_quote"><div>It succeeds and prints nothing (i.e. the error is ENOTDIR=
 in all cases).</div><div>So this is even more mysterious than I thought.=
=C2=A0</div></div></div></blockquote><div><br></div><div>However, when I ch=
ange &quot;file&quot; to &quot;/usr/bin/true&quot; in the names list, the i=
ssue happens again (i.e. lstat and faccessat succeed for &quot;/usr/bin/tru=
e/.&quot;). So this does appear to be a macOS bug, but it&#39;s not consist=
ently reproducible.=C2=A0=C2=A0</div></div></div>

--94eb2c1c0c4a983d740564926996--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 21:31:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 16:31:20 2018
Received: from localhost ([127.0.0.1]:60632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejApj-0004qj-Sf
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:31:20 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:34333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dottedmag@HIDDEN>) id 1ejApg-0004qa-Ix
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:31:18 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 27D0020D98;
 Tue,  6 Feb 2018 16:31:16 -0500 (EST)
Received: from web6 ([10.202.2.216])
 by compute2.internal (MEProxy); Tue, 06 Feb 2018 16:31:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dottedmag.net;
 h=cc:content-transfer-encoding:content-type:date:from
 :in-reply-to:message-id:mime-version:references:subject:to
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=OfR+uZ4M/cEWmQvqt
 kmyS8u2aUeQm7aPTQb4qvbNffs=; b=Ygb01j7NdthVEMCmNxkMap8lLcESFSp1d
 WEVqndzP8QtbOhWjFSCX2erPxT3qSCjlb23tLEfA1IdC5zKK3uVXaAHmI4y3oPLp
 s6pWNFp6+WJFojKiYewIRhDlgH+jvlaBG/4/iIExGgdAQYBEDekmeFKbP4SLM6ut
 xN4ly5u88z7N0s60VuEGrQQ42inbUBlpsIKpD5KAP+OwZ0NYXoinz93lLn+7G756
 CL8YicXOPjKqEnI+BqqUs2deyLvWghFd5UwGTX4kxTV9nBdO2GrLEHnbnPH4Rx87
 o1LpreqUJQKsr8DzhH3hPYrVBi2hGRm+gguJPQGg3Onu3BlIO5C3w==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=OfR+uZ
 4M/cEWmQvqtkmyS8u2aUeQm7aPTQb4qvbNffs=; b=WdJZdkLEApd3FCUuU8Cpxb
 OZz96OhWePvU1eRrVu9NqFPQlIXD+aCtuAQ9J2vxZJahw4mqrO4CVltgtX0IvZnm
 lXXRFMHW05MJ8ebLAruiA2B59CxRxaQr37Mfu5F8v5oZvJmbtUT+t2aPN//IkGjR
 MM2mN0ieFPyuKYyNRUkaXck+Yxg7HCmGOQ87S0wtwnA3p7n6ArMdY2lvPANxYEhU
 YUahbCkRrkTpoQEvIuymCsvCAlOUT6+Ypy2c/kEIAv8hIkKrsm5eVAMMSKNwdnGm
 ca1deWcCWF0huztaHkOSuCBcP8MCifBMinPubodp5cfKKK/7zEYyiqKdi/+T9CUg
 ==
X-ME-Sender: <xms:pB56WuGYERgrfaj9MtFKNg6l3qJwgy5uJSpmSJ3CygdKroPFJtE3rQ>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 00F70422F; Tue,  6 Feb 2018 16:31:15 -0500 (EST)
Message-Id: <1517952675.2858032.1261883720.60EB94B5@HIDDEN>
From: Mikhail Gusarov <dottedmag@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: multipart/alternative; boundary="_----------=_151795267528580320"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-fde26eb3
References: <1517898686.4008581.1260933984.39AA3653@HIDDEN>
 <CAArVCkQGLMbK=peLAdX1N7bozc2hFg7iQdaUaW2ZnEUeSjcc7A@HIDDEN>
 <1517930860.2692052.1261428792.55924D9B@HIDDEN>
 <m2eflym2y9.fsf@HIDDEN>
 <1517952360.2855302.1261878048.393BF9AA@HIDDEN>
 <CAArVCkSScRQUNRZixLfNxJdV_Au7u1A-ZMoRJ+j5HLWH9DAr-Q@HIDDEN>
Date: Tue, 06 Feb 2018 22:31:15 +0100
In-Reply-To: <CAArVCkSScRQUNRZixLfNxJdV_Au7u1A-ZMoRJ+j5HLWH9DAr-Q@HIDDEN>
Subject: Re: bug#30350: Build breakage of master on MacOS 10.13
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, John Wiegley <johnw@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format.

--_----------=_151795267528580320
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"


On Tue, 6 Feb 2018, at 22:29, Philipp Stephani wrote:
>  I'm saying that on OS X stat'ing /bin/zsh and /bin/zsh/ (or
>  /bin/zsh/.) gives different results:>> 
>>  % stat /bin/zsh
>>  16777220 721698 -rwxr-xr-x 1 root wheel 0 610288[1] "Feb  6 22:24:24
>>  2018" "Sep 21 06:35:23 2017" "Nov  6 13:34:29 2017" "Sep 21 06:35:23
>>  2017" 4194304 808 0x80020 /bin/zsh>>  % stat /bin/zsh/.
>>  stat: /bin/zsh/.: stat: Not a directory
>>  % stat /bin/zsh/
>>  stat: /bin/zsh/: stat: Not a directory
>>  %
> 
> That's the behavior required by POSIX, and Linux behaves in
> exactly the same way, so it's not something where we'd need to special-
> case macOS.
Ah, ignore me then, please :)


Links:

  1. tel:06102%2088

--_----------=_151795267528580320
Content-Transfer-Encoding: 7bit
Content-Type: text/html; charset="utf-8"

<!DOCTYPE html>
<html>
<head>
<title></title>
<style type="text/css">p.MsoNormal,p.MsoNoSpacing{margin:0}</style>
</head>
<body><div><br></div>
<div>On Tue, 6 Feb 2018, at 22:29, Philipp Stephani wrote:<br></div>
<blockquote type="cite"><div dir="ltr"><div> I'm saying that on OS X stat'ing /bin/zsh and /bin/zsh/ (or /bin/zsh/.) gives different results:<br></div>
<div defang_data-gmailquote="yes"><blockquote defang_data-gmailquote="yes" style="margin-top:0px;margin-right:0px;margin-bottom:0px;margin-left:0.8ex;border-left-width:1px;border-left-style:solid;border-left-color:rgb(204, 204, 204);padding-left:1ex;"><div> <br></div>
<div> % stat /bin/zsh<br></div>
<div> 16777220 721698 -rwxr-xr-x 1 root wheel <a href="tel:06102%2088">0 610288</a> "Feb&nbsp; 6 22:24:24 2018" "Sep 21 06:35:23 2017" "Nov&nbsp; 6 13:34:29 2017" "Sep 21 06:35:23 2017" 4194304 808 0x80020 /bin/zsh<br></div>
<div> % stat /bin/zsh/.<br></div>
<div> stat: /bin/zsh/.: stat: Not a directory<br></div>
<div> % stat /bin/zsh/<br></div>
<div> stat: /bin/zsh/: stat: Not a directory<br></div>
<div> %<br></div>
</blockquote><div><br></div>
<div>That's the behavior required by POSIX, and Linux behaves in exactly the same way, so it's not something where we'd need to special-case macOS.&nbsp;<br></div>
</div>
</div>
</blockquote><div><br></div>
<div>Ah, ignore me then, please :)<br></div>
<div><br></div>
</body>
</html>

--_----------=_151795267528580320--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 21:30:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 16:30:21 2018
Received: from localhost ([127.0.0.1]:60626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejAon-0004op-KB
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:30:21 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:58143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dottedmag@HIDDEN>) id 1ejAol-0004oh-UM
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:30:20 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id C279820CDF;
 Tue,  6 Feb 2018 16:30:19 -0500 (EST)
Received: from web6 ([10.202.2.216])
 by compute2.internal (MEProxy); Tue, 06 Feb 2018 16:30:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dottedmag.net;
 h=cc:content-transfer-encoding:content-type:date:from
 :in-reply-to:message-id:mime-version:references:subject:to
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=APJd9ZxaLOxFi1a6W
 kfVIcRrj/jLMTJagCpCD/KQ89I=; b=QaXicOCf9l7whqryFd5cgy8+TlQ7eB7NQ
 XTGF/LasqILTvLZ5uEyct+TOQcWHNirticCc80GwPePXymWmBmBrB7iArmVS+dCq
 Nw1iKKCw5Kpez364dtzevhAtvfUtjQ/+8hTZq1aR2lTNi5IjxYs85ZA3BLAmW0DN
 k+ywHj4IGqKMYHf8Bvkt8zkOlas+JPzHtYqLZeFBsbZ+/+02/CM0Dy7sWUonNeE2
 f9THZPvN9NvjKc2/PyefVx82SqN8Zc5rD3NLFMihigLbtxzcGfulMb/F3q7bil8N
 77n8UZAccL6Kyh/Eq0KeNSYwQcFOXSwopEbY6i1rnLUj9WfbXJabw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=APJd9Z
 xaLOxFi1a6WkfVIcRrj/jLMTJagCpCD/KQ89I=; b=d+VHcj2RbyxuBkcolelV5b
 PIjnI9RzVN/Gs7t9Flp+4b9qWTJgS1lYGp2JhopAg9E3yEvP9DYSMHWX5iKHVWRN
 10AAFi7HFmuPrZbKzsWPTpVkrHrQBm5G8MjtHqSfxhOOhaa/lcyD43SDVkdI2gtV
 q7FjBF7pWvxumxO4xkU1Yy+UPKbFcr7Y86kfLQKgDCKP2hFVTODiUcIupi9NU/Nv
 GGOIT/Mh+ronr7LCus6SgAHJPXoxoKWBDtAj/ij90l1hwCrayIolya07v15FDzg0
 haF/yuZ3W4OVU39B1yZlWggqMbfEJI5qCfO22J6D7ALg49HAY1PbxQG6pqT6beNg
 ==
X-ME-Sender: <xms:ax56WhURi2amdwT1l9-vvaNMBCyfTvQW2lSOPVvr3mWIDgI9RKsViQ>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id A1C91422F; Tue,  6 Feb 2018 16:30:19 -0500 (EST)
Message-Id: <1517952619.2856663.1261882640.64BBBD37@HIDDEN>
From: Mikhail Gusarov <dottedmag@HIDDEN>
To: John Wiegley <johnw@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-fde26eb3
References: <1517898686.4008581.1260933984.39AA3653@HIDDEN>
 <CAArVCkQGLMbK=peLAdX1N7bozc2hFg7iQdaUaW2ZnEUeSjcc7A@HIDDEN>
 <1517930860.2692052.1261428792.55924D9B@HIDDEN>
 <m2eflym2y9.fsf@HIDDEN>
 <1517952360.2855302.1261878048.393BF9AA@HIDDEN>
In-Reply-To: <1517952360.2855302.1261878048.393BF9AA@HIDDEN>
Date: Tue, 06 Feb 2018 22:30:19 +0100
Subject: Re: bug#30350: Build breakage of master on MacOS 10.13
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Philipp Stephani <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Tue, 6 Feb 2018, at 22:26, Mikhail Gusarov wrote:

> I'm saying that on OS X stat'ing /bin/zsh and /bin/zsh/ (or /bin/zsh/.) 
> gives different results:

And here is a test program and its output:

#include <sys/stat.h>
#include <errno.h>
#include <stdio.h>

static void teststat(const char *filename)
{
    struct stat st;
    errno = 0;
    int res = stat(filename, &st);
    printf("%s stat->%d errno->%d\n", filename, res, errno);
}

int main()
{
    teststat("/bin/zsh");
    teststat("/bin/zsh/");
    teststat("/bin/zsh/.");
    return 0;
}

% ./a
/bin/zsh stat->0 errno->0
/bin/zsh/ stat->-1 errno->20
/bin/zsh/. stat->-1 errno->20
%

errno 20 is ENOTDIR.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 21:30:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 16:30:00 2018
Received: from localhost ([127.0.0.1]:60620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejAoS-0004mP-AA
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:30:00 -0500
Received: from mail-lf0-f46.google.com ([209.85.215.46]:42077)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1ejAoP-0004m5-Jp
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:29:57 -0500
Received: by mail-lf0-f46.google.com with SMTP id q17so4810048lfa.9
 for <30350 <at> debbugs.gnu.org>; Tue, 06 Feb 2018 13:29:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=KSlZKOxZBjAvXVPYyTy6gaFd4qvLeH+XKweKTyoPayU=;
 b=NK9uyUcSK0/3qas1UJ6GDvs+2HexZZ6eqd6hO5paw3Ix/gTRA8HneEk6jlJiTML4Gk
 vp1L9KcADM/cJ3nICz8wkPlGMbglAMvRHWcdPGYk2PFEs18wg8vH5q/m2zJJyOOrG4Up
 nVXH+YSREzj1EFH9P6NpytEJqPHAbJ8PoHlPTqlT3yDrYFJ7Hx69kwrxABWFmqnBipqy
 bjJSjwn72wR6vAVdzEP5RnUJUjBOlufxVLBVv+phzw6n8HJC0Bym3CS+KoW17VCs/4zH
 ObLB2tC+7wSF7SimDQfhqn1KqjtDK+ouxWYL0apSCcO0eY2dKmOqfZn4Rmjk3bEbAP0e
 tKFw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=KSlZKOxZBjAvXVPYyTy6gaFd4qvLeH+XKweKTyoPayU=;
 b=HtazerL+EkwCiwJRkvkkBgqF48qNEx7PVvGD4Vd0QnwNfnGKPC3G7kVI5j8l/yihHY
 htXpalRqL9D6sNxT5ng0s31F1H/LHF8Wg0hwrXt4cdCCMVJhykg+7f38L83PhX8U2jpX
 ZtHewoABDXOTW4KyreDSpuqsMPtDcI1kfKQRqb3ALB6MCnW/2qcUX+EqImub0jDcstFw
 rDX179ff8yRPyqETD9g3NZ3qjrfJiiZOFzu5LtNM3GV1PIGCzhzkJewYxTXDa7ScqeG+
 ACURROAgUTkUvDPQcHV/gdAI4cdMrYxYoN9GRUCDdkFX1vCCe7W+WpgCCBSG4EhYaowG
 SneQ==
X-Gm-Message-State: APf1xPAtbYYO6XPsJHYy6hlnBwG38a93djbJM2WkJfHt3Ag3OSLb2YgH
 JEmWjlCXIk7YtTq/K/m9D0w38IkHkT8RBeVV1PA=
X-Google-Smtp-Source: AH8x2271IVvDxb4DNuzlBkzZ+rNNathOFYUNvNx6xZM8/ADIyWAxWJruNii7/Vq+iTK1a9U6ifw5wlKaKeks7hqVyR8=
X-Received: by 10.25.93.83 with SMTP id p19mr2288026lfj.113.1517952591652;
 Tue, 06 Feb 2018 13:29:51 -0800 (PST)
MIME-Version: 1.0
References: <1517898686.4008581.1260933984.39AA3653@HIDDEN>
 <CAArVCkQGLMbK=peLAdX1N7bozc2hFg7iQdaUaW2ZnEUeSjcc7A@HIDDEN>
 <1517930860.2692052.1261428792.55924D9B@HIDDEN>
 <m2eflym2y9.fsf@HIDDEN>
 <1517952360.2855302.1261878048.393BF9AA@HIDDEN>
In-Reply-To: <1517952360.2855302.1261878048.393BF9AA@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Tue, 06 Feb 2018 21:29:40 +0000
Message-ID: <CAArVCkSScRQUNRZixLfNxJdV_Au7u1A-ZMoRJ+j5HLWH9DAr-Q@HIDDEN>
Subject: Re: bug#30350: Build breakage of master on MacOS 10.13
To: Mikhail Gusarov <dottedmag@HIDDEN>
Content-Type: multipart/alternative; boundary="f403045e49fa02ec7c056491e15c"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, John Wiegley <johnw@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--f403045e49fa02ec7c056491e15c
Content-Type: text/plain; charset="UTF-8"

Mikhail Gusarov <dottedmag@HIDDEN> schrieb am Di., 6. Feb. 2018 um
22:26 Uhr:

> Hi John,
>
> On Tue, 6 Feb 2018, at 18:40, John Wiegley wrote:
>
> > Mikhail, are you saying that "/bin/zsh", where /bin/zsh is a file, should
> > report as a directory on OS X? I think I've misunderstood your comment.
>
> I'm saying that on OS X stat'ing /bin/zsh and /bin/zsh/ (or /bin/zsh/.)
> gives different results:
>
> % stat /bin/zsh
> 16777220 721698 -rwxr-xr-x 1 root wheel 0 610288 <06102%2088> "Feb  6
> 22:24:24 2018" "Sep 21 06:35:23 2017" "Nov  6 13:34:29 2017" "Sep 21
> 06:35:23 2017" 4194304 808 0x80020 /bin/zsh
> % stat /bin/zsh/.
> stat: /bin/zsh/.: stat: Not a directory
> % stat /bin/zsh/
> stat: /bin/zsh/: stat: Not a directory
> %
>

That's the behavior required by POSIX, and Linux behaves in exactly the
same way, so it's not something where we'd need to special-case macOS.

--f403045e49fa02ec7c056491e15c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Mikhai=
l Gusarov &lt;<a href=3D"mailto:dottedmag@HIDDEN">dottedmag@dottedma=
g.net</a>&gt; schrieb am Di., 6. Feb. 2018 um 22:26=C2=A0Uhr:<br></div><blo=
ckquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #c=
cc solid;padding-left:1ex">Hi John,<br>
<br>
On Tue, 6 Feb 2018, at 18:40, John Wiegley wrote:<br>
<br>
&gt; Mikhail, are you saying that &quot;/bin/zsh&quot;, where /bin/zsh is a=
 file, should<br>
&gt; report as a directory on OS X? I think I&#39;ve misunderstood your com=
ment.<br>
<br>
I&#39;m saying that on OS X stat&#39;ing /bin/zsh and /bin/zsh/ (or /bin/zs=
h/.) gives different results:<br>
<br>
% stat /bin/zsh<br>
16777220 721698 -rwxr-xr-x 1 root wheel <a href=3D"tel:06102%2088" value=3D=
"+49610288" target=3D"_blank">0 610288</a> &quot;Feb=C2=A0 6 22:24:24 2018&=
quot; &quot;Sep 21 06:35:23 2017&quot; &quot;Nov=C2=A0 6 13:34:29 2017&quot=
; &quot;Sep 21 06:35:23 2017&quot; 4194304 808 0x80020 /bin/zsh<br>
% stat /bin/zsh/.<br>
stat: /bin/zsh/.: stat: Not a directory<br>
% stat /bin/zsh/<br>
stat: /bin/zsh/: stat: Not a directory<br>
%<br></blockquote><div><br></div><div>That&#39;s the behavior required by P=
OSIX, and Linux behaves in exactly the same way, so it&#39;s not something =
where we&#39;d need to special-case macOS.=C2=A0</div></div></div>

--f403045e49fa02ec7c056491e15c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 21:26:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 16:26:05 2018
Received: from localhost ([127.0.0.1]:60616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejAke-0004g4-Pk
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:26:04 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:37257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dottedmag@HIDDEN>) id 1ejAkb-0004fR-Vo
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:26:02 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 174C620E1C;
 Tue,  6 Feb 2018 16:26:01 -0500 (EST)
Received: from web6 ([10.202.2.216])
 by compute2.internal (MEProxy); Tue, 06 Feb 2018 16:26:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dottedmag.net;
 h=cc:content-transfer-encoding:content-type:date:from
 :in-reply-to:message-id:mime-version:references:subject:to
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=Jz6DprQ2aUG4IF6bT
 DAAiiDlqa4r20NQHGjSIMJZdiE=; b=Sv3rKydLoWKrq5XZzU4W+AvLt1efdZWqk
 nCoe3lxgKEMMml+BWA6dKzU/gVYeE7UepEnOs4a1WK17U5MQMt+On3ST2T0071/0
 OCksn00DBgtVN3eyqVUzkN71jIuXKi4wOXaiyCPs5tsscGdf60YbN1AEoOHLR2pC
 vxaBM8aTUGFmTTVSIUGdB3mzzhXdLswuDIPdeSdJymS++31tRpCfwef9uKDZIMYm
 nuwp1L0jtoMwkeFdLFoZV8EjcGC1nrwQWIn1aw7wryoVsCD3HLPCy8sKB74mUqC/
 31Bb6khL8M+8NsP9ISMeAC9cqGzFKbMJ6bYo+aGIMEHa+OdDk0lsQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=Jz6Dpr
 Q2aUG4IF6bTDAAiiDlqa4r20NQHGjSIMJZdiE=; b=MgNYmtOZ6a1j017JzA41Dh
 VppwRUtUvr3/d5lQzinHSH67EhN336IrXPpmqudqTIMi0oIqz+8nl/pZvg9jjfpI
 +DST1jUiSv1Cn3Mw6TPGKvcnpTeKbP9A96f918Css3XCc/dWFOyvHfZ62aGNpfWu
 7A1dFvNaTcLhYucMOemoFUdVC9wcEgmH3Lh//+VhOIkvHJ2YYr5m/1HOJ1TyLxRk
 ENKBymQJ3iZS+ZHPubwqiDYc1/Z+cfcN8j0B3z2XHAs0+PjXGlhFWxflS6NplHt5
 EYvkhtY9ZS0rR3DKG5ErAJYByB47gvFRvE3UGzDMiNVUIIv8/qZ4a5P+DVYoCRVQ
 ==
X-ME-Sender: <xms:aR16WmovczLHotUaeXh8OcvG5DELMEIP0XoYIl9gnJ8PEE16jJ-muQ>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id E6F51422F; Tue,  6 Feb 2018 16:26:00 -0500 (EST)
Message-Id: <1517952360.2855302.1261878048.393BF9AA@HIDDEN>
From: Mikhail Gusarov <dottedmag@HIDDEN>
To: John Wiegley <johnw@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-fde26eb3
Date: Tue, 06 Feb 2018 22:26:00 +0100
In-Reply-To: <m2eflym2y9.fsf@HIDDEN>
Subject: Re: bug#30350: Build breakage of master on MacOS 10.13
References: <1517898686.4008581.1260933984.39AA3653@HIDDEN>
 <CAArVCkQGLMbK=peLAdX1N7bozc2hFg7iQdaUaW2ZnEUeSjcc7A@HIDDEN>
 <1517930860.2692052.1261428792.55924D9B@HIDDEN>
 <m2eflym2y9.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Philipp Stephani <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi John,

On Tue, 6 Feb 2018, at 18:40, John Wiegley wrote:

> Mikhail, are you saying that "/bin/zsh", where /bin/zsh is a file, should
> report as a directory on OS X? I think I've misunderstood your comment.

I'm saying that on OS X stat'ing /bin/zsh and /bin/zsh/ (or /bin/zsh/.) gives different results:

% stat /bin/zsh
16777220 721698 -rwxr-xr-x 1 root wheel 0 610288 "Feb  6 22:24:24 2018" "Sep 21 06:35:23 2017" "Nov  6 13:34:29 2017" "Sep 21 06:35:23 2017" 4194304 808 0x80020 /bin/zsh
% stat /bin/zsh/.
stat: /bin/zsh/.: stat: Not a directory
% stat /bin/zsh/
stat: /bin/zsh/: stat: Not a directory
%




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 21:23:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 16:23:52 2018
Received: from localhost ([127.0.0.1]:60606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejAiW-0004bx-1R
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:23:52 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40309)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johnw@HIDDEN>) id 1ejAiT-0004bk-Uk
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:23:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <johnw@HIDDEN>) id 1ejAiJ-0005D0-Pk
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:23:44 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.6 required=5.0 tests=BAYES_40,DATE_IN_PAST_03_06,
 T_RP_MATCHES_RCVD autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51607)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <johnw@HIDDEN>)
 id 1ejAiJ-0005Cw-LU; Tue, 06 Feb 2018 16:23:39 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:35551)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <johnw@HIDDEN>)
 id 1ejAiJ-0007e5-ER; Tue, 06 Feb 2018 16:23:39 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailauth.nyi.internal (Postfix) with ESMTP id 8018C20D49;
 Tue,  6 Feb 2018 16:23:38 -0500 (EST)
Received: from frontend2 ([10.202.2.161])
 by compute4.internal (MEProxy); Tue, 06 Feb 2018 16:23:38 -0500
X-ME-Sender: <xms:2hx6WpWubfRFfQ-d6IXGsY1XZt84Kfj-PrhYkJE5dYiIfocT1PzlLA>
Received: from localhost (76-234-69-149.lightspeed.frokca.sbcglobal.net
 [76.234.69.149])
 by mail.messagingengine.com (Postfix) with ESMTPA id 13AFB240DE;
 Tue,  6 Feb 2018 16:23:37 -0500 (EST)
From: "John Wiegley" <johnw@HIDDEN>
To: Mikhail Gusarov <dottedmag@HIDDEN>
Subject: Re: bug#30350: Build breakage of master on MacOS 10.13
In-Reply-To: <1517930860.2692052.1261428792.55924D9B@HIDDEN>
 (Mikhail Gusarov's message of "Tue, 06 Feb 2018 16:27:40 +0100")
Date: Tue, 06 Feb 2018 09:40:30 -0800
Message-ID: <m2eflym2y9.fsf@HIDDEN>
References: <1517898686.4008581.1260933984.39AA3653@HIDDEN>
 <CAArVCkQGLMbK=peLAdX1N7bozc2hFg7iQdaUaW2ZnEUeSjcc7A@HIDDEN>
 <1517930860.2692052.1261428792.55924D9B@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.91 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Philipp Stephani <p.stephani2@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

>>>>> "MG" == Mikhail Gusarov <dottedmag@HIDDEN> writes:

MG>         org/org-timer.el:39:1:Error: Searching for program: Is a
MG> directory, /bin/zsh

MG>         The file in question is not a directory:

MG> Yes, it is. I can't find the relevant sources right away, but opening a
MG> file inside a file is a syntax for opening resource forks under OS X, so
MG> `/foo/bar/baz/.` is a "directory" of resource forks there. This syntax is
MG> not likely to go away anytime soon.

Mikhail, are you saying that "/bin/zsh", where /bin/zsh is a file, should
report as a directory on OS X? I think I've misunderstood your comment.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 21:15:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 16:15:50 2018
Received: from localhost ([127.0.0.1]:60590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejAak-0004PF-8E
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:15:50 -0500
Received: from mail-lf0-f48.google.com ([209.85.215.48]:41220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1ejAaj-0004P3-0k
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:15:49 -0500
Received: by mail-lf0-f48.google.com with SMTP id f136so4758444lff.8
 for <30350 <at> debbugs.gnu.org>; Tue, 06 Feb 2018 13:15:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=HOg/n1y9jp5jsmUOG/yLAGHL4KJbmO3o3rfmu7nFNO4=;
 b=rSxVVtvNqALuqQx6njZKVE9QJK2X/IiZGYpW2LOpLWJm71tllpbJN/rKHfo+63y7OQ
 NP77Pjh1nSKeDFhC1hDgDplbQhSQuLVMQ/0DHIkgpNX/XwWBi2UJpv4m0mCFY82TiLo+
 Gm//C12YJN47UC6AFvRnsZyvp/HTBXN7VPM95DK3VSU+o6vxmJAZv9YLaFjGIOsokyJD
 QlbzabzeI8VIylxLRA5pyuRReU0yPjFy4Spzfsbkc00IRhMN+fjdsXL7CDc47oS88tof
 PvgscyHgds0MYOm2O5LdkQKIgh8DqTrP2uJIePBfQqRulFemxqoRJ/U91C5oaYAMSYY5
 Cpvg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=HOg/n1y9jp5jsmUOG/yLAGHL4KJbmO3o3rfmu7nFNO4=;
 b=riX1StjqnmhMg2qDVoTF3U6w2FnYy5DSlFOZGCFs2whjSryHART6y6CEJebjrEfX5n
 dgEjz3dx8G7nErh26vvUjDbJsXAz6WR5uawofiiYJW4okDjgADBh6m4G/axa4UBCHdxX
 3lNgWd8cpvlAlDQnAOySh8wzZ/aVXRZEc1bUiROaC64sM8slYe0U73C4lGyS5LW7t0p1
 KAz8HeccuqGEEarqVu1TJl6blC1l3tQbLkROzU2wKFa5wsY5832HZQ9UtrJaFJx9/8jU
 Pz2/jzOdus1aAqa7n+/P+qBM6nbS5WRu91u23I1CaRoK6QQDOvN/SXGC+ciYegKorTSG
 dcFg==
X-Gm-Message-State: APf1xPBRHetbT9qvvvzP9nguh9/+Tko/ukM2vjg8uHMkg55wXuUuqTVX
 0fOA+zHJXfU6Sc0a8hSRuN7ItdtCzJm+0Jdgnwo=
X-Google-Smtp-Source: AH8x227pvM/0GUNoW+lq8Wdytq5oyeI2XWhPOjQQ8jQVZn4KWsmSphYtstHl4JXHSYR+ABLy1YFAY/K+BXUy9TLhLuA=
X-Received: by 10.46.74.17 with SMTP id x17mr2532342lja.84.1517951743220; Tue,
 06 Feb 2018 13:15:43 -0800 (PST)
MIME-Version: 1.0
References: <1517898686.4008581.1260933984.39AA3653@HIDDEN>
 <CAArVCkQGLMbK=peLAdX1N7bozc2hFg7iQdaUaW2ZnEUeSjcc7A@HIDDEN>
 <1517930860.2692052.1261428792.55924D9B@HIDDEN>
 <20180206185610.GA97455@HIDDEN>
In-Reply-To: <20180206185610.GA97455@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Tue, 06 Feb 2018 21:15:32 +0000
Message-ID: <CAArVCkTBSF+dvdBOZ_G9ryvBdQoY9_RE1aGJUvbmD_LL2ZnO-g@HIDDEN>
Subject: Re: bug#30350: Build breakage of master on MacOS 10.13
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary="f403045ec64670e169056491aec4"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>,
 Mikhail Gusarov <dottedmag@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--f403045ec64670e169056491aec4
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Alan Third <alan@HIDDEN> schrieb am Di., 6. Feb. 2018 um 19:56 Uhr:

> On Tue, Feb 06, 2018 at 04:27:40PM +0100, Mikhail Gusarov wrote:
> > Yes, it is. I can't find the relevant sources right away, but opening a
> > file inside a file is a syntax for opening  resource forks under OS X,
> > so `/foo/bar/baz/.` is a "directory" of resource forks there. This
> > syntax is not likely to go away anytime soon.
>
> Hmm, perhaps this method of checking for a directory just won=E2=80=99t e=
ver
> work reliably on macOS then.
>
>
But it works reliable in all isolated test cases that I've tried. Only the
combination with call-process seems to cause issues for some weird reason.

--f403045ec64670e169056491aec4
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Alan T=
hird &lt;<a href=3D"mailto:alan@HIDDEN">alan@HIDDEN</a>&gt; schrieb=
 am Di., 6. Feb. 2018 um 19:56=C2=A0Uhr:<br></div><blockquote class=3D"gmai=
l_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left=
:1ex">On Tue, Feb 06, 2018 at 04:27:40PM +0100, Mikhail Gusarov wrote:<br>
&gt; Yes, it is. I can&#39;t find the relevant sources right away, but open=
ing a<br>
&gt; file inside a file is a syntax for opening=C2=A0 resource forks under =
OS X,<br>
&gt; so `/foo/bar/baz/.` is a &quot;directory&quot; of resource forks there=
. This<br>
&gt; syntax is not likely to go away anytime soon.<br>
<br>
Hmm, perhaps this method of checking for a directory just won=E2=80=99t eve=
r<br>
work reliably on macOS then.<br>
<br></blockquote><div><br></div><div>But it works reliable in all isolated =
test cases that I&#39;ve tried. Only the combination with call-process seem=
s to cause issues for some weird reason.=C2=A0</div></div></div>

--f403045ec64670e169056491aec4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 21:14:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 16:14:46 2018
Received: from localhost ([127.0.0.1]:60586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejAZh-0004NE-Sn
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:14:46 -0500
Received: from mail-lf0-f52.google.com ([209.85.215.52]:39065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1ejAZf-0004N0-11
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:14:44 -0500
Received: by mail-lf0-f52.google.com with SMTP id w27so4773607lfd.6
 for <30350 <at> debbugs.gnu.org>; Tue, 06 Feb 2018 13:14:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=bDPZG05imwhCKUrYYo4dH/kJiiYqT8prH+5wts+t/L0=;
 b=SQ2NGwaUjvKYCic6IWzXEnl46JpQt6M1wKKEMFsI4Uj3DHWiXvjrWNZ+zd+KcfJDgv
 wnxn8x894wYNSWT8E3hDQ/xSXbJKcAdAG5wXA/cVrL4zQL0s9bTXVUHiDdwL8GUhi+8D
 ainbkJbb+XxOV33lIuvmQy4Sevp6zgYe6YgZLU30EesQs0vz2tsYjnR31aPNeWQHeQKG
 EOBuCFMgmtE1M7LDvd2+0u3Okcs1PSxwhjXAsYLmNoeEGy8EGKJitBB+gv9cGHstMpcV
 ihogAETSg6Ng5ldcerxnFqULfCujXTwRWqJvr8YOrtkjEAtPYtcUe3oT0eOViUEXzq7O
 T0Ng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=bDPZG05imwhCKUrYYo4dH/kJiiYqT8prH+5wts+t/L0=;
 b=XGZcqrBlZh3EIH6XrJAhSBOwE9fvzayoPzsE8F4I5YxxDIMDB1qcBuH0VtQmn1Ci0g
 I7+ZlmfmMzOkexzgq5OTzT6bvWUg2G8mqp6EMRO2A40QusUp+kfdncPnc5CDIUBhgT0r
 hoHdAkO/orlWLDSqKhA7ePAXqercmdZSalPu0V7cuTiIIURK2Bka3AzHxqbwC6SgI+63
 3e/esanuHQzGrN/SLLwLTMCacpzBdrQRjEeJ6GbHbqpwx+jN6tsLu9+yk7hoFgAK/lHp
 tqet5Wf90uFZOHRnfKSjNKbpnsZNHhnxDE/9s9ACoyobcpYMXYQaOjRQykI5qV+r/inz
 lY7A==
X-Gm-Message-State: APf1xPCSceoFKuuS1s8l+Yl7GkCyoBQq4JYP9/KpYjb2pOt0EJniJ2KO
 keVrg7P48l6xm2kgs8idf5tzpRBZZ10jHpFxYRk=
X-Google-Smtp-Source: AH8x226TSTYMj00loue/5Lr8XHMGfYE69jZB9OsnE+yo7NuCciKJzyvs+nagjRMXKC+z+opgODV8qR4mEFCDZwiPJ/Q=
X-Received: by 10.25.38.11 with SMTP id m11mr546416lfm.21.1517951677007; Tue,
 06 Feb 2018 13:14:37 -0800 (PST)
MIME-Version: 1.0
References: <1517898686.4008581.1260933984.39AA3653@HIDDEN>
 <CAArVCkQGLMbK=peLAdX1N7bozc2hFg7iQdaUaW2ZnEUeSjcc7A@HIDDEN>
 <1517930860.2692052.1261428792.55924D9B@HIDDEN>
In-Reply-To: <1517930860.2692052.1261428792.55924D9B@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Tue, 06 Feb 2018 21:14:26 +0000
Message-ID: <CAArVCkSGohNiVBpM-hdfR2Zri18wRHc8Q92eBME64sfqNA+6DA@HIDDEN>
Subject: Re: bug#30350: Build breakage of master on MacOS 10.13
To: Mikhail Gusarov <dottedmag@HIDDEN>
Content-Type: multipart/alternative; boundary="001a11402ec87e8cd0056491aaf6"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--001a11402ec87e8cd0056491aaf6
Content-Type: text/plain; charset="UTF-8"

Mikhail Gusarov <dottedmag@HIDDEN> schrieb am Di., 6. Feb. 2018 um
16:28 Uhr:

> Hi.
>
> On Tue, 6 Feb 2018, at 09:08, Philipp Stephani wrote:
>
> I see a breakage of Emacs build on master under MacOS 10.13. Build stops
> with the following message:
>
> org/org-timer.el:39:1:Error: Searching for program: Is a directory,
> /bin/zsh
>
> The file in question is not a directory:
>
> % ls -l /bin/zsh
> 404K -rwxr-xr-x 1 root wheel 596K
>
> This is https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30350.
>
>
> Yes, it is. I can't find the relevant sources right away, but opening a
> file inside a file is a syntax for opening resource forks under OS X, so
> `/foo/bar/baz/.` is a "directory" of resource forks there. This syntax is
> not likely to go away anytime soon.
>
>
It's true that you can access the forks in a pseudo-directory
/foo/bar/baz/..namedforks/, but faccessat still seems to work correctly
even for files containing resource forks, at least on my system. That is,
the POSIX API doesn't actually treat /foo/bar/baz/. as a directory.

--001a11402ec87e8cd0056491aaf6
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Mikhai=
l Gusarov &lt;<a href=3D"mailto:dottedmag@HIDDEN">dottedmag@dottedma=
g.net</a>&gt; schrieb am Di., 6. Feb. 2018 um 16:28=C2=A0Uhr:<br></div><blo=
ckquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #c=
cc solid;padding-left:1ex"><u></u>





<div><div>Hi.</div>
<div><br></div>
<div>On Tue, 6 Feb 2018, at 09:08, Philipp Stephani wrote:<br></div>
<blockquote type=3D"cite"><div><blockquote style=3D"margin-top:0px;margin-r=
ight:0px;margin-bottom:0px;margin-left:0.8ex;border-left-width:1px;border-l=
eft-style:solid;border-left-color:rgb(204,204,204);padding-left:1ex"><div>I=
 see a breakage of Emacs build on master under MacOS 10.13. Build stops wit=
h the following message:<br></div>
<div><br></div>
<div>org/org-timer.el:39:1:Error: Searching for program: Is a directory, /b=
in/zsh<br></div>
<div><br></div>
<div>The file in question is not a directory:<br></div>
<div><br></div>
<div>% ls -l /bin/zsh<br></div>
<div>404K -rwxr-xr-x 1 root wheel 596K<br></div>
</blockquote><div>This is=C2=A0<a href=3D"https://debbugs.gnu.org/cgi/bugre=
port.cgi?bug=3D30350" target=3D"_blank">https://debbugs.gnu.org/cgi/bugrepo=
rt.cgi?bug=3D30350</a>.<br></div>
</div>
</blockquote><div><br></div>
<div>Yes, it is. I can&#39;t find the relevant sources right away, but open=
ing a file inside a file is a syntax for opening  resource forks under OS X=
, so `/foo/bar/baz/.` is a &quot;directory&quot; of resource forks there. T=
his syntax is not likely to go away anytime soon.<br></div></div><div>
<div><br></div></div></blockquote><div><br></div><div>It&#39;s true that yo=
u can access the forks in a pseudo-directory /foo/bar/baz/..namedforks/, bu=
t faccessat still seems to work correctly even for files containing resourc=
e forks, at least on my system. That is, the POSIX API doesn&#39;t actually=
 treat /foo/bar/baz/. as a directory.</div></div></div>

--001a11402ec87e8cd0056491aaf6--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 18:56:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 13:56:21 2018
Received: from localhost ([127.0.0.1]:60557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ej8Pl-0001AG-M1
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 13:56:21 -0500
Received: from mail-wm0-f45.google.com ([74.125.82.45]:35526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1ej8Pj-0001A3-D3
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 13:56:19 -0500
Received: by mail-wm0-f45.google.com with SMTP id r78so5916346wme.0
 for <30350 <at> debbugs.gnu.org>; Tue, 06 Feb 2018 10:56:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=as6ItsZimcS6H+W2VXeYAClIFedGWYsihZNXduJdB1g=;
 b=FDQi3qR1pvV91fphSIL1dRz4PtAaq49flpWm5r1hRKyhvO89ruTXF+gKJrKp5kClmj
 T8l9fTowGiCoSZWCp+KJz2vfRci/ksqOsSgoIOpdh5+ebc1OQLy3LttU54jxeyu5yAV3
 FiHG+mslJXAF8ESbhc1i2sAH0bUtOiX7MTHtwGj/tNn8as9aRXZhsATqi/v/dtQIvVF1
 5cAlo8nGV251gtPmwvMCooWOqqw///0jSRGo9Dkh/llyqhynAARtqNGDZ7NA/GdRZidb
 kzKbruvfGAu46NFD0Jc4ioW3KacICdwYvgFVo4J33GKvqmmyrfcBfDueEHwMCf0cnO/d
 jHzQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=as6ItsZimcS6H+W2VXeYAClIFedGWYsihZNXduJdB1g=;
 b=bIaorFe4cYP+tn2Kw0eG4NNuFwAGV8boujsJSvd+Q63Wrhw4zucLkjlqmgELfrlfQ6
 N3UtRT0Ayp7SY7PaMBd0KlleguATRoK2l44m/TdNNPKVlKFzLeDCyhe6OZkMfncXBO1Z
 cIyrnGgnlNsTbT5maRVVZEjtFySYE3XaO9MbUkUtsQv7d5CViNuq930c2Q2b/sN9dlwr
 I4cD017nLPnTfMZLBfw4adf6otIJ0aT65uQow1h+JiVQmr3hPQpi0vWczwjCS2+Wxch6
 6BbG2Ru0tSl30idWJrBwn0pnaOqJC9XdOKPvKyibpDe5aZzqK46H1/qofN297Ls5RHbv
 aanQ==
X-Gm-Message-State: APf1xPC1iZibceZd+UY1N6/dVNIjHqOgMzxRGQ5+CdapoK/DztJkV88L
 dBN9zIo4zCU9IvMO0KHzHrA=
X-Google-Smtp-Source: AH8x227giXSO0jTtLFX/niCIcwqF3KtNkpmPyWrWpjImOdDhxmzNElQ+DKStkTX4LKw695wxR13VuQ==
X-Received: by 10.28.134.140 with SMTP id i134mr2993123wmd.57.1517943373526;
 Tue, 06 Feb 2018 10:56:13 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-31e7-f19a-b11e-7053.holly.idiocy.org.
 [2001:8b0:3f8:8129:31e7:f19a:b11e:7053])
 by smtp.gmail.com with ESMTPSA id 6sm6748256wrd.57.2018.02.06.10.56.12
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 06 Feb 2018 10:56:12 -0800 (PST)
Date: Tue, 6 Feb 2018 18:56:10 +0000
From: Alan Third <alan@HIDDEN>
To: Mikhail Gusarov <dottedmag@HIDDEN>
Subject: Re: bug#30350: Build breakage of master on MacOS 10.13
Message-ID: <20180206185610.GA97455@HIDDEN>
References: <1517898686.4008581.1260933984.39AA3653@HIDDEN>
 <CAArVCkQGLMbK=peLAdX1N7bozc2hFg7iQdaUaW2ZnEUeSjcc7A@HIDDEN>
 <1517930860.2692052.1261428792.55924D9B@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <1517930860.2692052.1261428792.55924D9B@HIDDEN>
User-Agent: Mutt/1.9.3 (2018-01-21)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Philipp Stephani <p.stephani2@HIDDEN>,
 Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Tue, Feb 06, 2018 at 04:27:40PM +0100, Mikhail Gusarov wrote:
> Yes, it is. I can't find the relevant sources right away, but opening a
> file inside a file is a syntax for opening  resource forks under OS X,
> so `/foo/bar/baz/.` is a "directory" of resource forks there. This
> syntax is not likely to go away anytime soon.

Hmm, perhaps this method of checking for a directory just won’t ever
work reliably on macOS then.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 15:27:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 10:27:43 2018
Received: from localhost ([127.0.0.1]:60453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ej59r-0000hR-1h
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 10:27:43 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:38477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dottedmag@HIDDEN>) id 1ej59p-0000hI-CU
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 10:27:41 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id EFF5D20B3B;
 Tue,  6 Feb 2018 10:27:40 -0500 (EST)
Received: from web6 ([10.202.2.216])
 by compute2.internal (MEProxy); Tue, 06 Feb 2018 10:27:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dottedmag.net;
 h=cc:content-transfer-encoding:content-type:date:from
 :in-reply-to:message-id:mime-version:references:subject:to
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=/hhrWfZbrZntNc1zv
 DwdZmP4OSzsJiSwud429CRQ2qo=; b=w65YdaDXUIS7g+zyIx9z8pkDYhyHQ4v04
 cBNzOmB0qJYpb9hAhldg6MI5R9xW0wJdro9QoXCX5KeppDUNmysVvljc3t8toM4x
 n2Fe1eoh9u2vuiRkZA39qR6PtJUkgaRv6qr2aDQdklN/RRKECAks6qesMEqfF2Xx
 iVesRABcACFntqrOqplvLKnAJzCx67dc9fRWIYUnNOr7TDutSVfut8JwzmejY8Qo
 PFITVgIJejjcMrMJJlTZE5WzA6u9XgDrK8uOfhzX8MTU5zP3ltaoFx+DTww/eiFk
 fbjfEH8ka6G+uBmIv4Jp9Cjdw+Apugeh9chmYBwOU6otdLoP5oiTg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=/hhrWf
 ZbrZntNc1zvDwdZmP4OSzsJiSwud429CRQ2qo=; b=Bf/6UiUsV66p3LeETSdtaB
 Y3sENhdaF24bd6uxMe71MGqBWCkhDEEJKwkj1AJqvBapoox9Haq248M1RNZWY9OO
 uT//AJ7v7lQLsxKZ3T6JJOVO161dodMNTS5lhrYdJen+i3dIA9HYrWbol9crnpxA
 zHfLZhqPzWJYXyNBnGohVdxC3MGvv28ray6nPAFKn0CzHDL7w0EmXxZQ+1Ll+A4y
 aUTLfxfnDF/Uh+Xx9QLdCJCRJq+yTWedDJCZLZAbwAlI8/58NO3UbDRlcQR+UUWU
 yaNGc4Bup/9NI9ieNz9P8gOWV9k8210KocNbF5f1JNRMBX8y9FgFoIJo0IUWVKSg
 ==
X-ME-Sender: <xms:bMl5WrolS_5Z84JoSrqDysmxnLPFHoFS_SEXiJAvZ3celcuE0ePLGQ>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id C3D7C422F; Tue,  6 Feb 2018 10:27:40 -0500 (EST)
Message-Id: <1517930860.2692052.1261428792.55924D9B@HIDDEN>
From: Mikhail Gusarov <dottedmag@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: multipart/alternative; boundary="_----------=_151793086026920520"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-fde26eb3
Subject: Re: Build breakage of master on MacOS 10.13
References: <1517898686.4008581.1260933984.39AA3653@HIDDEN>
 <CAArVCkQGLMbK=peLAdX1N7bozc2hFg7iQdaUaW2ZnEUeSjcc7A@HIDDEN>
In-Reply-To: <CAArVCkQGLMbK=peLAdX1N7bozc2hFg7iQdaUaW2ZnEUeSjcc7A@HIDDEN>
Date: Tue, 06 Feb 2018 16:27:40 +0100
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format.

--_----------=_151793086026920520
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"

Hi.

On Tue, 6 Feb 2018, at 09:08, Philipp Stephani wrote:
>> I see a breakage of Emacs build on master under MacOS 10.13. Build
>> stops with the following message:>> 
>> org/org-timer.el:39:1:Error: Searching for program: Is a directory,
>> /bin/zsh>> 
>> The file in question is not a directory:
>> 
>> % ls -l /bin/zsh
>> 404K -rwxr-xr-x 1 root wheel 596K
> This is https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30350.

Yes, it is. I can't find the relevant sources right away, but opening a
file inside a file is a syntax for opening  resource forks under OS X,
so `/foo/bar/baz/.` is a "directory" of resource forks there. This
syntax is not likely to go away anytime soon.
Mikhail.


--_----------=_151793086026920520
Content-Transfer-Encoding: 7bit
Content-Type: text/html; charset="utf-8"

<!DOCTYPE html>
<html>
<head>
<title></title>
<style type="text/css">p.MsoNormal,p.MsoNoSpacing{margin:0}</style>
</head>
<body><div>Hi.</div>
<div><br></div>
<div>On Tue, 6 Feb 2018, at 09:08, Philipp Stephani wrote:<br></div>
<blockquote type="cite"><div><blockquote style="margin-top:0px;margin-right:0px;margin-bottom:0px;margin-left:0.8ex;border-left-width:1px;border-left-style:solid;border-left-color:rgb(204, 204, 204);padding-left:1ex;"><div>I see a breakage of Emacs build on master under MacOS 10.13. Build stops with the following message:<br></div>
<div><br></div>
<div>org/org-timer.el:39:1:Error: Searching for program: Is a directory, /bin/zsh<br></div>
<div><br></div>
<div>The file in question is not a directory:<br></div>
<div><br></div>
<div>% ls -l /bin/zsh<br></div>
<div>404K -rwxr-xr-x 1 root wheel 596K<br></div>
</blockquote><div>This is&nbsp;<a href="https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30350">https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30350</a>.<br></div>
</div>
</blockquote><div><br></div>
<div>Yes, it is. I can't find the relevant sources right away, but opening a file inside a file is a syntax for opening  resource forks under OS X, so `/foo/bar/baz/.` is a "directory" of resource forks there. This syntax is not likely to go away anytime soon.<br></div>
<div><br></div>
<div>Mikhail.<br></div>
<div><br></div>
</body>
</html>

--_----------=_151793086026920520--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 08:28:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 03:28:52 2018
Received: from localhost ([127.0.0.1]:59486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiycV-0000zz-W8
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 03:28:52 -0500
Received: from mail-wm0-f53.google.com ([74.125.82.53]:37415)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1eiycU-0000zl-7M
 for 30350 <at> debbugs.gnu.org; Tue, 06 Feb 2018 03:28:50 -0500
Received: by mail-wm0-f53.google.com with SMTP id v71so2066780wmv.2
 for <30350 <at> debbugs.gnu.org>; Tue, 06 Feb 2018 00:28:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=YSHney58tZogDAOffpigDUP6yCxktup+9WXgqk1g50s=;
 b=vJYJx0G5+Nz1kySgZInMxaMtS02l2kFJ6SFSowvViXxGGrm6dNHz8w9d7X1dyKNwau
 gvoZWLZrHCeMfQ3ySVoX4c5ku1Lbgouz3sje8ggrNvH0uIKpRvVahOi/f3U9z5AFWHqJ
 cw6vc/PuDHC76KsCBr3DWRUb/vuzG/jxuS8FO4T+ZU3F/5PA2oxBzc2f97W0uR5yJpML
 vd2JRCtdw4fEPmWSDULPDh3NhgIxWprfUamAXbIWc6ZPqXqhgfXyfObdt0NHsbJRhUiy
 LD4YYzZQ7LvUWcRcsd/nJvcgokFQhLAMSaKiB2sDDSapaGaKXm3XYrpAluSBPNLrDo2H
 D+VA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=YSHney58tZogDAOffpigDUP6yCxktup+9WXgqk1g50s=;
 b=XbiFHpiedVK/v4nkxJchxCeuuQ6nWfsquJIaTGUPkRBWN6zHUeFST/JfcI3AqSmZEI
 h9wKCIs3lkuA0SM2ohtAgS9RmqO6nt9HrX7jzTUwQvcORs/g1cq3Yp7d0zRuWxzIJq2K
 fSPRpT+j//KLjQP3lWe8/lVZrd+9t+O6hWky7JplvjlVadJ9htPYPz/ayB3OBmuc0GTU
 SNXApI89kz8TkT74undL7y02NMipeB4AV7hoRgYeUofKksIQSE4rJSKVOoIeemcD2ZpX
 c3n/46JnXD1jgJKV2/HyocpfqlbcpYdts+zSjpD4jYk1XW25HCXeu5qydHO7ODrnMrt8
 2tsg==
X-Gm-Message-State: APf1xPBX2Mmnd2efPjDVaLhdBS1wQDdyL32RnIDpeNYY2hwZFvwm3557
 DLE8Kd9/rekmZv1pIXPAtjQ=
X-Google-Smtp-Source: AH8x225da9w7G2mTFwbWzk0A1SHASLyKbjP14AyJEkyacPhXneYaBjpruIaAh5dO7BnQIwBpBjNH8w==
X-Received: by 10.28.47.73 with SMTP id v70mr1157290wmv.41.1517905724499;
 Tue, 06 Feb 2018 00:28:44 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-31e7-f19a-b11e-7053.holly.idiocy.org.
 [2001:8b0:3f8:8129:31e7:f19a:b11e:7053])
 by smtp.gmail.com with ESMTPSA id k3sm21843715wmk.3.2018.02.06.00.28.43
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 06 Feb 2018 00:28:43 -0800 (PST)
Date: Tue, 6 Feb 2018 08:28:41 +0000
From: Alan Third <alan@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
Message-ID: <20180206082841.GA96771@HIDDEN>
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
 <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
 <59f3f90b-f19d-71be-6cf9-de8a020db174@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <59f3f90b-f19d-71be-6cf9-de8a020db174@HIDDEN>
User-Agent: Mutt/1.9.3 (2018-01-21)
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Philipp Stephani <p.stephani2@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

On Mon, Feb 05, 2018 at 04:36:13PM -0800, Paul Eggert wrote:
> The Gnulib manual says that macOS faccessat (..., "FILE/", ...) incorrectly
> succeeds when FILE is a regular file, and Gnulib has code to work around
> that bug that should be in effect for Emacs. However, the Gnulib manual
> doesn't say that faccessat (..., "FILE/.", ...) incorrectly succeeds in this
> situation, nor that faccessat (..., "FILE/./", ...) does the right thing;
> and the test program I gave you didn't illustrate any bugs in this area so
> I'm not sure what's going on.

Bear in mind that file-accessible-directory-p works prior to
call-process being run. Call-process does something that breaks it.

Interestingly it breaks file-accessible-directory-p for *all* files in
the same directory, so

    (call-process "/usr/bin/true")
    (file-accessible-directory-p "/usr/bin/false")

fails, while

    (call-process "/usr/bin/true")
    (file-accessible-directory-p "/bin/zsh")

works correctly. (Well, call-process itself fails, but
file-accessible-directory-p works.)

I haven’t been able to work out what it is that call-process is doing
that causes this.

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 00:43:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 19:43:56 2018
Received: from localhost ([127.0.0.1]:59237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eirMZ-0002N3-Vy
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 19:43:56 -0500
Received: from mail-lf0-f48.google.com ([209.85.215.48]:38282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1eirMW-0002Mk-HY
 for 30350 <at> debbugs.gnu.org; Mon, 05 Feb 2018 19:43:52 -0500
Received: by mail-lf0-f48.google.com with SMTP id g72so264343lfg.5
 for <30350 <at> debbugs.gnu.org>; Mon, 05 Feb 2018 16:43:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=eDYNDZstsNBQXXtS31KImjAV5j1lwM8rfA9k6QQbCBs=;
 b=nwuu7WQX5WTyWlhCYwV9Ow4gYzc+84VKt5G6GtZDAY5EZJKJaU18gNRxqRe8/9OfVD
 RYxef53GL2LkwGyMQSjNJULI4yXhc766EnemwIsooShMEf6TuHO1C4QZnhRdHWXpM9lW
 gIHJxj2F1pJjquiJYXweQE3fmTE/d3RwIwZKtKScT57UfLJmL21BFmeYqE9g7kZxxCvt
 2QAJI+3iLdSrA8Ux+2rxhWm6r1obOt0WXWPdV0qr6AZICot63rGPUxztPasiSjCXzpDd
 5lq40lWs0WJMAsP6bvUVmGF3UNgYkpHpBLSvg0xmKNh49LM9NeNu9WF47ZdtVOxIzOmL
 G9Uw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=eDYNDZstsNBQXXtS31KImjAV5j1lwM8rfA9k6QQbCBs=;
 b=iIUHQZlNbEjSxOBrNBLzYSsUGQYTODiR5q5kxOAL+isWjcZEYMnsWNF30+6CPSDgMf
 DPtuUrkkqCTXAj5Ys5MrY67JXVsRvUWbzXK9KnW2lsmxTZAIZL+yLxs9BrTGjL12M8UM
 huLgUixdpS79wunek32HSf9u8l0BukxS9DoHtCQ7oZqf8QaTG5f4nqtMaxt7H/z/sYx/
 jync7/OZglV4aKPYe9gCsxeI4KwtTJab17FM9bkP6QWKQ6kmSJ0KW74UK8S0FJbxyKPh
 d8JexGQTQpauw4srJUNIbaxVDt6q7X0NmLqdJgBE5i4xXlOESTyfjZpD5jrugahykaYv
 iyuA==
X-Gm-Message-State: APf1xPBxkGgv1ueTZvXkCAvdPx5H9B+WI4PmxLi5tUfAIsaVp1v1jcNO
 ofNT0T08/kCyVwEohsoxdNnNxMJbDR41Fn8V/FQ=
X-Google-Smtp-Source: AH8x227fujcDfCs+SzxfItOeTJB4JfdbqlnLyifV9FKb7cZ3n0WLU0gm3buYwKuDwsGmx43zRpx5IEvg/6N82bpi8Bo=
X-Received: by 10.46.51.7 with SMTP id d7mr351157ljc.78.1517877826637; Mon, 05
 Feb 2018 16:43:46 -0800 (PST)
MIME-Version: 1.0
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
 <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
 <59f3f90b-f19d-71be-6cf9-de8a020db174@HIDDEN>
In-Reply-To: <59f3f90b-f19d-71be-6cf9-de8a020db174@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Tue, 06 Feb 2018 00:43:35 +0000
Message-ID: <CAArVCkThmsB0Z-qdq39QeV=0jS8oPwuBWb5ghWKOevZ-H6QscQ@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Paul Eggert <eggert@HIDDEN>
Content-Type: multipart/alternative; boundary="089e082fb8e0ab574c05648078b4"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--089e082fb8e0ab574c05648078b4
Content-Type: text/plain; charset="UTF-8"

Paul Eggert <eggert@HIDDEN> schrieb am Di., 6. Feb. 2018 um 01:36 Uhr:

> On 02/05/2018 04:26 PM, Philipp Stephani wrote:
> > It succeeds and prints nothing (i.e. the error is ENOTDIR in all cases).
> > So this is even more mysterious than I thought.
>
> Very strange. I installed the workaround into Emacs master, so at least
> the symptoms should be fixed now. But I don't know why the fix worked,
> and this doesn't inspire warm feelings.
>
> The Gnulib manual says that macOS faccessat (..., "FILE/", ...)
> incorrectly succeeds when FILE is a regular file, and Gnulib has code to
> work around that bug that should be in effect for Emacs. However, the
> Gnulib manual doesn't say that faccessat (..., "FILE/.", ...)
> incorrectly succeeds in this situation, nor that faccessat (...,
> "FILE/./", ...) does the right thing; and the test program I gave you
> didn't illustrate any bugs in this area so I'm not sure what's going on.
>

Maybe that bug was once present, and has been fixed since then?
I've noticed that REPLACE_FACCESSAT is 1, so configure thinks that
faccessat is broken. Apparently faccessat.m4 checks for the behavior of
lstat, not faccessat.

--089e082fb8e0ab574c05648078b4
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Paul E=
ggert &lt;<a href=3D"mailto:eggert@HIDDEN">eggert@HIDDEN</a>&gt; =
schrieb am Di., 6. Feb. 2018 um 01:36=C2=A0Uhr:<br></div><blockquote class=
=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padd=
ing-left:1ex">On 02/05/2018 04:26 PM, Philipp Stephani wrote:<br>
&gt; It succeeds and prints nothing (i.e. the error is ENOTDIR in all cases=
).<br>
&gt; So this is even more mysterious than I thought.<br>
<br>
Very strange. I installed the workaround into Emacs master, so at least<br>
the symptoms should be fixed now. But I don&#39;t know why the fix worked,<=
br>
and this doesn&#39;t inspire warm feelings.<br>
<br>
The Gnulib manual says that macOS faccessat (..., &quot;FILE/&quot;, ...)<b=
r>
incorrectly succeeds when FILE is a regular file, and Gnulib has code to<br=
>
work around that bug that should be in effect for Emacs. However, the<br>
Gnulib manual doesn&#39;t say that faccessat (..., &quot;FILE/.&quot;, ...)=
<br>
incorrectly succeeds in this situation, nor that faccessat (...,<br>
&quot;FILE/./&quot;, ...) does the right thing; and the test program I gave=
 you<br>
didn&#39;t illustrate any bugs in this area so I&#39;m not sure what&#39;s =
going on.<br>
</blockquote><div><br></div><div>Maybe that bug was once present, and has b=
een fixed since then?</div><div>I&#39;ve noticed that REPLACE_FACCESSAT is =
1, so configure thinks that faccessat is broken. Apparently faccessat.m4 ch=
ecks for the behavior of lstat, not faccessat.</div></div></div>

--089e082fb8e0ab574c05648078b4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 00:36:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 19:36:21 2018
Received: from localhost ([127.0.0.1]:59232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eirFF-0002D0-70
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 19:36:21 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:41740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eirFD-0002Co-UU
 for 30350 <at> debbugs.gnu.org; Mon, 05 Feb 2018 19:36:20 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 55F20160076;
 Mon,  5 Feb 2018 16:36:14 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 0MNE-Ds-YlRI; Mon,  5 Feb 2018 16:36:13 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 95CD7160156;
 Mon,  5 Feb 2018 16:36:13 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id ApzDvqHt4fLP; Mon,  5 Feb 2018 16:36:13 -0800 (PST)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 78527160076;
 Mon,  5 Feb 2018 16:36:13 -0800 (PST)
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Philipp Stephani <p.stephani2@HIDDEN>
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
 <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <59f3f90b-f19d-71be-6cf9-de8a020db174@HIDDEN>
Date: Mon, 5 Feb 2018 16:36:13 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.5.2
MIME-Version: 1.0
In-Reply-To: <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 02/05/2018 04:26 PM, Philipp Stephani wrote:
> It succeeds and prints nothing (i.e. the error is ENOTDIR in all cases).
> So this is even more mysterious than I thought.

Very strange. I installed the workaround into Emacs master, so at least 
the symptoms should be fixed now. But I don't know why the fix worked, 
and this doesn't inspire warm feelings.

The Gnulib manual says that macOS faccessat (..., "FILE/", ...) 
incorrectly succeeds when FILE is a regular file, and Gnulib has code to 
work around that bug that should be in effect for Emacs. However, the 
Gnulib manual doesn't say that faccessat (..., "FILE/.", ...) 
incorrectly succeeds in this situation, nor that faccessat (..., 
"FILE/./", ...) does the right thing; and the test program I gave you 
didn't illustrate any bugs in this area so I'm not sure what's going on.

It may require digging around in the FreeBSD source code to puzzle this 
one out, assuming FreeBSD has the same bug that macOS does.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 6 Feb 2018 00:26:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 19:26:23 2018
Received: from localhost ([127.0.0.1]:59228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eir5b-0001yV-6B
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 19:26:23 -0500
Received: from mail-lf0-f41.google.com ([209.85.215.41]:36760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1eir5Z-0001yF-As
 for 30350 <at> debbugs.gnu.org; Mon, 05 Feb 2018 19:26:21 -0500
Received: by mail-lf0-f41.google.com with SMTP id t79so230928lfe.3
 for <30350 <at> debbugs.gnu.org>; Mon, 05 Feb 2018 16:26:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=ofRx7saWfclRUBsgXN8E3rVDM2y3hH3bcph9xOoN7uE=;
 b=SgEQVVE0D3uVbt1v/YQXzFCIO4+kymk0exieW5tX52fVWSluw9LWtwyspKEGpXJ/Xz
 R6HSe0Q6MPC/u76NzvxLTfKf1wEce+Y3/b4CvbgwrOKkft/KuRqvkHzXHIWCiJf2EQP5
 nLnZ0fg9gaQtj1fUdD35aFyY3CV3n8Ir7xxZfUoFh8ZW7xA1eNbVei/jSJjGxYJcmp/2
 rAKtdMFuuJLMo8UdERFoeshLts8A4aGr20cKW8Yv6ffMos+RBdhzo1IOmX/KY8di1SNx
 LnCxltZtlkC0eJaFa/w9Jx8xU3FQlWgDFs2P6LkYj+0jeZQWC5YoqkZO3S7urQ9OcIWU
 QI2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=ofRx7saWfclRUBsgXN8E3rVDM2y3hH3bcph9xOoN7uE=;
 b=WmLo5G+0gFtFFlxWXBoyVgZT1JDpsXfMhjTWFBhwd6JsanLzD3Id4lkEvKuHCZizKl
 1meJUUqh7xYEgqFbffPQofyeTPs2yVhbDIOPMmyKHiSOJRcZdNO9LdpB/7nqn2gFSLmD
 P+bVHIO0DJYvhMBvQB0o7rnS7zA/caOkUm0jbC/H0ua+ENISgoAg2oiUjh9adisGWCBi
 6ezLVmDdC//5BBw5vTdMkBVWhPXSfQBJrwThF8hXnvQ6keW0bA9b4ge0I0WDvuTu1wys
 0xw7+P1dPE2I5Jj6++XB+69JnNwv/RJUZohzRSZbWik/uy0s+s95/C3ky/rnrgQOPuxg
 /pMg==
X-Gm-Message-State: APf1xPDOwJ0t6lieLzgYZYSuwR7Fz9I04aAm68je2tLqTfu+WUngcvOV
 iCrUdR59PGL8xvAMYnM5VAKY4CRMxfNjuC6df2Y=
X-Google-Smtp-Source: AH8x2250jLnHXKfgyJ5WAtCj/vHgRgfeEzOk7hd5r7JfMD1wstLNDU9ogHvLv8SggOvJc3JRAuYLqgMFdkOngW/1Zik=
X-Received: by 10.46.17.93 with SMTP id f90mr327988lje.92.1517876775046; Mon,
 05 Feb 2018 16:26:15 -0800 (PST)
MIME-Version: 1.0
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
 <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
In-Reply-To: <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Tue, 06 Feb 2018 00:26:04 +0000
Message-ID: <CAArVCkR7C0u1OiA0Ht4AgBoYo47NsXdnZys5vzrDM4CrcDLSCQ@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Paul Eggert <eggert@HIDDEN>
Content-Type: multipart/alternative; boundary="94eb2c1c0c4afd5629056480395c"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--94eb2c1c0c4afd5629056480395c
Content-Type: text/plain; charset="UTF-8"

Paul Eggert <eggert@HIDDEN> schrieb am Di., 6. Feb. 2018 um 00:56 Uhr:

> On 02/05/2018 11:18 AM, Alan Third wrote:
> >
> > Yes, it fixes the problem here.
> >
> > Is this a known issue with macOS?
>
> It's news to me and it's not listed in the Gnulib portability gotcha list.
>
> What happens if you run the attached program on macOS? It creates a file
> "file" and then tries to access it as a directory, which should not work.
>
>
It succeeds and prints nothing (i.e. the error is ENOTDIR in all cases).
So this is even more mysterious than I thought.

--94eb2c1c0c4afd5629056480395c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Paul E=
ggert &lt;<a href=3D"mailto:eggert@HIDDEN">eggert@HIDDEN</a>&gt; =
schrieb am Di., 6. Feb. 2018 um 00:56=C2=A0Uhr:<br></div><blockquote class=
=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padd=
ing-left:1ex">On 02/05/2018 11:18 AM, Alan Third wrote:<br>
&gt;<br>
&gt; Yes, it fixes the problem here.<br>
&gt;<br>
&gt; Is this a known issue with macOS?<br>
<br>
It&#39;s news to me and it&#39;s not listed in the Gnulib portability gotch=
a list.<br>
<br>
What happens if you run the attached program on macOS? It creates a file<br=
>
&quot;file&quot; and then tries to access it as a directory, which should n=
ot work.<br>
<br></blockquote><div><br></div><div>It succeeds and prints nothing (i.e. t=
he error is ENOTDIR in all cases).</div><div>So this is even more mysteriou=
s than I thought.=C2=A0</div></div></div>

--94eb2c1c0c4afd5629056480395c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 5 Feb 2018 23:57:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 18:57:01 2018
Received: from localhost ([127.0.0.1]:59221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiqdA-0001IX-PR
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 18:57:00 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:35400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eiqd9-0001IL-DH
 for 30350 <at> debbugs.gnu.org; Mon, 05 Feb 2018 18:56:59 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id B848A160D39;
 Mon,  5 Feb 2018 15:56:53 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 7DFaDUTthKgV; Mon,  5 Feb 2018 15:56:53 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 09A44160E18;
 Mon,  5 Feb 2018 15:56:53 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id owPTpZLgOLI9; Mon,  5 Feb 2018 15:56:52 -0800 (PST)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id D5CB2160D39;
 Mon,  5 Feb 2018 15:56:52 -0800 (PST)
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Alan Third <alan@HIDDEN>
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
 <20180205191824.GA64467@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <0bec28a7-e163-8e7c-3759-4189533f50b6@HIDDEN>
Date: Mon, 5 Feb 2018 15:56:52 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.5.2
MIME-Version: 1.0
In-Reply-To: <20180205191824.GA64467@HIDDEN>
Content-Type: multipart/mixed; boundary="------------C2AE12290DEF15EFB694E411"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.
--------------C2AE12290DEF15EFB694E411
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 02/05/2018 11:18 AM, Alan Third wrote:
>
> Yes, it fixes the problem here.
>
> Is this a known issue with macOS?

It's news to me and it's not listed in the Gnulib portability gotcha list.

What happens if you run the attached program on macOS? It creates a file 
"file" and then tries to access it as a directory, which should not work.


--------------C2AE12290DEF15EFB694E411
Content-Type: text/x-csrc;
 name="tryit.c"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="tryit.c"

#include <unistd.h>
#include <fcntl.h>
#include <stdio.h>
#include <sys/stat.h>
#include <errno.h>

static char const *names[] = { "file/", "file/.", "file/./" };

int
main (void)
{
  struct stat st;
  int i;
  if (open ("file", O_WRONLY | O_CREAT, 0666) < 0)
    return perror ("file"), 1;
  int status = 0;
  for (i = 0; i < 3; i++)
    {
      char const *name = names[i];
      if (lstat (name, &st) == 0)
	printf ("lstat succeeds on \"%s\"!\n", name), status = 1;
      else if (errno != ENOTDIR)
	perror (name), status = 1;
      if (faccessat (AT_FDCWD, name, F_OK, AT_EACCESS) == 0)
	printf ("faccessat succeeds on \"%s\"!\n", name), status = 1;
      else if (errno != ENOTDIR)
	perror (name), status = 1;
    }
  return status;
}

--------------C2AE12290DEF15EFB694E411--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 5 Feb 2018 19:18:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 14:18:36 2018
Received: from localhost ([127.0.0.1]:59023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eimHk-0001Ki-EB
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 14:18:36 -0500
Received: from mail-wr0-f178.google.com ([209.85.128.178]:42573)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1eimHh-0001KT-GW
 for 30350 <at> debbugs.gnu.org; Mon, 05 Feb 2018 14:18:33 -0500
Received: by mail-wr0-f178.google.com with SMTP id 41so29405507wrc.9
 for <30350 <at> debbugs.gnu.org>; Mon, 05 Feb 2018 11:18:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:in-reply-to:user-agent;
 bh=Le0G9zoV49j/Ai/VZmyM7jztCXBpGtRkLhrIyvhdRi8=;
 b=p+qrS7JQGeIfl8p8FbmfpOEMuEXyiWhiwKntegpIQa1HOD4PvIrnBGPBKI0lz3TBAu
 /+V1ZVYlBSsZ7qptP+eIPjzoyPxoNlD3hd8kAhW3L+EPicHrH8Rpqnotbqq2nV5aHzLB
 gSjXEsnyGo0eY/jV31vw9jO462ZkV+XqxvuDUPpIhFug5MqQRAkVcnII5iS4bb4f72oB
 EpyhGme24mULNBggzA49/fXqr90PsI2VloapPBjp3IPDjuewA/XYXmNNMmYNecDVV3EH
 bVfiQY3UoMar9J6vU2MMHBQwgtuaoHyH7GDJm1oJFL79dJ1Ka2Rv9o0wyBsbSaINt1P+
 C4Ww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition:in-reply-to:user-agent;
 bh=Le0G9zoV49j/Ai/VZmyM7jztCXBpGtRkLhrIyvhdRi8=;
 b=jRGT1+NNeLPQ6ZEWC5hZ6/kLB8qGSY3Fyx9M4TcmUmSeb4nZTyYEmK52g1ttOjEx+U
 d+ctK/c3i5/wJVed4ujAzLPkRtoSisVamnZof3eU145e+szSMlisKIYnfTDLMl33lcCl
 ioSymqbIcuYVyaFcfUUXDYhnxvE40lmi3aD6Z8FJkCuVV7s3dyXCFCCVSR6/TiF1k12L
 PGUeYzY68W2neVDa0y2tAOl0tRr+8TMKA87EztceLNuP/hl6sI9N1C3UQ38UedQekbgy
 XUCbj5LCvmsv2AxBLu6Yp2uUJBAKMMuUZnbhEOA7ETAmI+PAgACvHWNWR9YS6ynHpptf
 k5Og==
X-Gm-Message-State: AKwxytf5ix9n1/b9YLys/iPJkbYxz4+lPuvaVwqkd9mLaUts7O8d5PRL
 yxjrTZAx3/f+R3oid7bjZfw=
X-Google-Smtp-Source: AH8x226TOGFmUE9W+TbnM+9HRTYjFsB3wuvDGKKI9FF5cKQeEED/ARVuRAvvogyvmv/B3whcXeCaoQ==
X-Received: by 10.223.150.116 with SMTP id c49mr32742256wra.225.1517858307491; 
 Mon, 05 Feb 2018 11:18:27 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-f814-4849-ba41-6e05.holly.idiocy.org.
 [2001:8b0:3f8:8129:f814:4849:ba41:6e05])
 by smtp.gmail.com with ESMTPSA id z41sm23173576wrb.50.2018.02.05.11.18.26
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 05 Feb 2018 11:18:26 -0800 (PST)
Date: Mon, 5 Feb 2018 19:18:24 +0000
From: Alan Third <alan@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
Message-ID: <20180205191824.GA64467@HIDDEN>
References: <m21si0a4ub.fsf@HIDDEN>
 <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
User-Agent: Mutt/1.9.3 (2018-01-21)
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Philipp <p.stephani2@HIDDEN>,
 Sam Steingold <sds@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

On Mon, Feb 05, 2018 at 11:13:16AM -0800, Paul Eggert wrote:
> Does the attached patch work around the macOS bug? (I don't use macOS so
> can't easily test this.) The idea of this patch is to fix both the new bug
> with file-directory-p and the circa-2012 bug with
> file-accessible-directory-p.

Yes, it fixes the problem here.

Is this a known issue with macOS?
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 5 Feb 2018 19:13:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 14:13:25 2018
Received: from localhost ([127.0.0.1]:58998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eimCi-0001CW-Qa
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 14:13:24 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:36650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eimCh-0001CJ-Nc
 for 30350 <at> debbugs.gnu.org; Mon, 05 Feb 2018 14:13:24 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id DDB621616C5;
 Mon,  5 Feb 2018 11:13:17 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 7y1Bgf2Cv5Rk; Mon,  5 Feb 2018 11:13:17 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 290C51616D5;
 Mon,  5 Feb 2018 11:13:17 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id Qw5TP5w8BCwC; Mon,  5 Feb 2018 11:13:17 -0800 (PST)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 0457D1616C5;
 Mon,  5 Feb 2018 11:13:17 -0800 (PST)
To: Philipp <p.stephani2@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: 27.0.50; Newest master can't run processes on macOS
Organization: UCLA Computer Science Department
Message-ID: <616d413a-893c-a058-9620-0ac852fc8490@HIDDEN>
Date: Mon, 5 Feb 2018 11:13:16 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.5.2
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------FD11BFEE09E601504F3591E4"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Sam Steingold <sds@HIDDEN>, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.
--------------FD11BFEE09E601504F3591E4
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Does the attached patch work around the macOS bug? (I don't use macOS so 
can't easily test this.) The idea of this patch is to fix both the new 
bug with file-directory-p and the circa-2012 bug with 
file-accessible-directory-p.

The bug should probably be fixed in Gnulib so that Emacs proper is 
unaffected, but first I want to check whether this fix approach works.


--------------FD11BFEE09E601504F3591E4
Content-Type: text/x-patch;
 name="fileio.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="fileio.diff"

diff --git a/src/fileio.c b/src/fileio.c
index be29e60fc0..b0ef3d4e91 100644
--- a/src/fileio.c
+++ b/src/fileio.c
@@ -2811,12 +2811,15 @@ file_accessible_directory_p (Lisp_Object file)
     dir = data;
   else
     {
-      /* Just check for trailing '/' when deciding whether to append '/'.
-	 That's simpler than testing the two special cases "/" and "//",
-	 and it's a safe optimization here.  */
-      char *buf = SAFE_ALLOCA (len + 3);
+      /* Just check for trailing '/' when deciding whether append '/'
+	 before appending '.'.  That's simpler than testing the two
+	 special cases "/" and "//", and it's a safe optimization
+	 here.  After appending '.', append another '/' to work around
+	 a macOS bug (Bug#30350).  */
+      static char const appended[] = "/./";
+      char *buf = SAFE_ALLOCA (len + sizeof appended);
       memcpy (buf, data, len);
-      strcpy (buf + len, &"/."[data[len - 1] == '/']);
+      strcpy (buf + len, &appended[data[len - 1] == '/']);
       dir = buf;
     }
 

--------------FD11BFEE09E601504F3591E4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.
Merged 30350 30357. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 4 Feb 2018 23:16:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 18:16:43 2018
Received: from localhost ([127.0.0.1]:57484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiTWc-0006kg-Ne
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 18:16:42 -0500
Received: from mail-lf0-f44.google.com ([209.85.215.44]:43607)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1eiTWb-0006kT-4K
 for 30350 <at> debbugs.gnu.org; Sun, 04 Feb 2018 18:16:41 -0500
Received: by mail-lf0-f44.google.com with SMTP id o89so39230886lfg.10
 for <30350 <at> debbugs.gnu.org>; Sun, 04 Feb 2018 15:16:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=JwXXCCoTS/Imm9G3kfmqJPL8wPcVlBoMZiuRY9mK+p0=;
 b=JE9I+LdbY5ZnkyxwXSy+BtCmShU7JoHuzyj4itm8YEIdTw8nqboz3TValkWq+ByUkd
 mfsBgVZ3yZbC41DOI+f/ID8WcSX+qIvxZEea7E4Ab06b6r1OIt4Xod2tYoyZMp+tCbiK
 QTKdA33/lf7+XUfBy3pkGFRJZNfac+8kIqLk8z1t027BgVyc93JFbp3tkKZiQSGjj4hd
 TrhrOSJIiyTkHYeYmSY1aAoxaNctOuFNWWeJLBbt3NgWDLkpr39txMF5zTOxI15t7es2
 T2elUiscGbI65IMU1dld4/xBTYMNe7oCTVAXejVBZntHGNWSKmm90UdmT9wRr+PFoDT5
 p/Xg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=JwXXCCoTS/Imm9G3kfmqJPL8wPcVlBoMZiuRY9mK+p0=;
 b=GvpRF96Y2Q8IB6ZSutq9RXK3LEQOJO3dXH1KJQdfrc1zAqW8nPNyN6Wqf7c7SiUNzi
 WkzVSk6CCZla63ED7agN591b3R9fi8UgC488ICtVn982IPQMj5A8agME4y7J4hh2rjKc
 VyelQ3TpoP1lUDicG+riwZFqdrX6dmI9gfCpLGQwsVUK7plGPvl+jbKVulOnC+KKn9F7
 GNIRUJxDNnqx2hdidq8ChmuqB4iTIWWxSoG1WYG0/Fkxg62Oa/jAsclbzT8EPVtgZwNY
 Sur62kA1aQxm56h0mJ+u6OgnYm7HH09CJjsulySneZzsXpu1+/UU6L4DgVYnNjnD5EUT
 W80g==
X-Gm-Message-State: AKwxytfP1g87QJjUmqXACRDIPrmyZmN2lsBtZCudduLj4lU2zm6vkGhs
 GuT50xX6MbTkO7z2Hv/FqNdKi3gV/ffxBF+Ccro=
X-Google-Smtp-Source: AH8x226T03sVmL5pCHYon5TtmF6xvHMTX1K3cds8KbCtoaGnaIZKWReM2uqkCJ2Y0ZcmC8SqQiaG2APRB9OY8sAO2eE=
X-Received: by 10.46.51.7 with SMTP id d7mr21413681ljc.78.1517786194911; Sun,
 04 Feb 2018 15:16:34 -0800 (PST)
MIME-Version: 1.0
References: <m21si0a4ub.fsf@HIDDEN>
 <CAArVCkSMjS71D8K6ahM4+-k4RF0UUfVydVHtvxRWzezQEGq7sg@HIDDEN>
 <20180204210615.GB42949@HIDDEN>
 <20180204211224.GA53263@HIDDEN>
 <CAArVCkTObup563z7HqWd0Yisz75TWaUAJ=pBNY2crLOhohKmSQ@HIDDEN>
 <20180204224956.GA53420@HIDDEN>
In-Reply-To: <20180204224956.GA53420@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sun, 04 Feb 2018 23:16:24 +0000
Message-ID: <CAArVCkSzFZ7oHc2Bc3fYWe7V8iTYX31SJ_p5YUu4PeQTjWWp3w@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary="089e082fb8e0fe290805646b22f5"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--089e082fb8e0fe290805646b22f5
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Alan Third <alan@HIDDEN> schrieb am So., 4. Feb. 2018 um 23:49 Uhr:

> On Sun, Feb 04, 2018 at 09:28:12PM +0000, Philipp Stephani wrote:
> > Alan Third <alan@HIDDEN> schrieb am So., 4. Feb. 2018 um 22:12 Uhr:
> >
> > > On Sun, Feb 04, 2018 at 09:06:15PM +0000, Alan Third wrote:
> > > > Oddly if you do
> > > >
> > > >     (file-accessible-directory-p "/usr/bin/true")
> > > >
> > > > it works correctly, but then once you run
> > > >
> > > >     (call-process "/usr/bin/true")
> > > >
> > > > file-accessible-directory-p incorrectly returns true on subsequent
> > > > calls. Paul=E2=80=99s commit didn=E2=80=99t make any real changes t=
o
> > > > file-accessible-directory-p so I suspect this problem is older.
> > >
> > > In fact, I can replicate it on Emacs 25, so it=E2=80=99s an old bug.
> > >
> > >
> > This is then a different bug; could you report it as a new one?
>
> It=E2=80=99s actually all the same bug. Paul=E2=80=99s change made file-d=
irectory-p
> use file-accessible-directory-p, and it=E2=80=99s playing up.
>
> It looks like the root cause is faccessat returning 0 for
> =E2=80=98/usr/bin/true/.=E2=80=99 when it should probably be returning -1=
.
>
>
Good catch! Probably the bug was then introduced in 2012 with commit
73dcdb9f30cb94a3183db54d9b463370c3978d4d.

--089e082fb8e0fe290805646b22f5
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Alan T=
hird &lt;<a href=3D"mailto:alan@HIDDEN">alan@HIDDEN</a>&gt; schrieb=
 am So., 4. Feb. 2018 um 23:49=C2=A0Uhr:<br></div><blockquote class=3D"gmai=
l_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left=
:1ex">On Sun, Feb 04, 2018 at 09:28:12PM +0000, Philipp Stephani wrote:<br>
&gt; Alan Third &lt;<a href=3D"mailto:alan@HIDDEN" target=3D"_blank">al=
an@HIDDEN</a>&gt; schrieb am So., 4. Feb. 2018 um 22:12 Uhr:<br>
&gt;<br>
&gt; &gt; On Sun, Feb 04, 2018 at 09:06:15PM +0000, Alan Third wrote:<br>
&gt; &gt; &gt; Oddly if you do<br>
&gt; &gt; &gt;<br>
&gt; &gt; &gt;=C2=A0 =C2=A0 =C2=A0(file-accessible-directory-p &quot;/usr/b=
in/true&quot;)<br>
&gt; &gt; &gt;<br>
&gt; &gt; &gt; it works correctly, but then once you run<br>
&gt; &gt; &gt;<br>
&gt; &gt; &gt;=C2=A0 =C2=A0 =C2=A0(call-process &quot;/usr/bin/true&quot;)<=
br>
&gt; &gt; &gt;<br>
&gt; &gt; &gt; file-accessible-directory-p incorrectly returns true on subs=
equent<br>
&gt; &gt; &gt; calls. Paul=E2=80=99s commit didn=E2=80=99t make any real ch=
anges to<br>
&gt; &gt; &gt; file-accessible-directory-p so I suspect this problem is old=
er.<br>
&gt; &gt;<br>
&gt; &gt; In fact, I can replicate it on Emacs 25, so it=E2=80=99s an old b=
ug.<br>
&gt; &gt;<br>
&gt; &gt;<br>
&gt; This is then a different bug; could you report it as a new one?<br>
<br>
It=E2=80=99s actually all the same bug. Paul=E2=80=99s change made file-dir=
ectory-p<br>
use file-accessible-directory-p, and it=E2=80=99s playing up.<br>
<br>
It looks like the root cause is faccessat returning 0 for<br>
=E2=80=98/usr/bin/true/.=E2=80=99 when it should probably be returning -1.<=
br>
<br></blockquote><div><br></div><div>Good catch! Probably the bug was then =
introduced in 2012 with commit 73dcdb9f30cb94a3183db54d9b463370c3978d4d.=C2=
=A0</div></div></div>

--089e082fb8e0fe290805646b22f5--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 4 Feb 2018 22:50:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 17:50:07 2018
Received: from localhost ([127.0.0.1]:57458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiT6s-0004Ee-Qg
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 17:50:07 -0500
Received: from mail-wm0-f46.google.com ([74.125.82.46]:52485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1eiT6q-0004E6-Tz
 for 30350 <at> debbugs.gnu.org; Sun, 04 Feb 2018 17:50:05 -0500
Received: by mail-wm0-f46.google.com with SMTP id g1so22704111wmg.2
 for <30350 <at> debbugs.gnu.org>; Sun, 04 Feb 2018 14:50:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=sUQFRBFmBVRMgC7CJZp40+WhbwkhvMhPfCS51xXm2ug=;
 b=pJCLk0u4f3Ohb0Ytt3y3yWm87RDu04ALd2m8LH29dnp3BGeP9OahUOnkbTABcHMCK4
 59gMOuDhX6raPJ0vzHoFFTEV0/6wqjGFwyh+J/R6flA7vxGXA6+XSLfD7dGStNJgCAL+
 AafWqSIbfcYXVl76/ghYYGnqg+ppsYGJt9713BHjXXAOKHtq1bVIvx+Uguz7s6W17Bni
 X+FzuSzXS6hODC9Rc13zKZFZLQwMhMZxNwsm6gJlPU1cxrTaF0zygKkcrlm0YY1c6kgH
 UrnmdOMV706uvRQWM0hiCtxbiKg7WUyzSsJVlrIl6Ks8HlfPkKhCXR0N/F4VsKPi8AkN
 A3+Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=sUQFRBFmBVRMgC7CJZp40+WhbwkhvMhPfCS51xXm2ug=;
 b=Wxb2tZPL89DkmIwtnhk6eKV/YMXopBmcxXeUgwRZaP7AQElC7SMunsY8pu2nyMRTKK
 4X/Tv200NQNE1DhQMRFqRNpW/j9EEHHrnbYRH21C+bRNEIm68UQX56TcMfkdLGKGE/Qf
 1g0Mr32FzoDyVgORg0tCVJrBKRrwtfmklPNjnND5ascP0EioM6rTFHAqlb2/GMT48Uou
 t+H5qyMfmRrM1dXIt/iRZM1h/iwrboztFXWbZEVEolgQCQzi7r7c0hWJ0UuX/av0nrOJ
 SlKfrghHB3daekQI/rwoplwQ9OqMCBvKpEss3EzvyDH7TNkyvWr6RgK9vOgjw3O0TPgd
 14Gw==
X-Gm-Message-State: AKwxytdKqNGVHZitDvFAhD34JNrEGs30tJGJzvp+Are8cXXf5UPEeyGr
 39WdQgnBF+VrALHV5XUEyz0=
X-Google-Smtp-Source: AH8x2243b70EpjX8C4Cnsuyq+kdmjF/lZqmaYMEzgjymtxECmjwm7JkuDWj7FVG/9fg0f0jHe3b5dA==
X-Received: by 10.28.148.150 with SMTP id w144mr33606451wmd.0.1517784599045;
 Sun, 04 Feb 2018 14:49:59 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-f814-4849-ba41-6e05.holly.idiocy.org.
 [2001:8b0:3f8:8129:f814:4849:ba41:6e05])
 by smtp.gmail.com with ESMTPSA id r136sm3705807wmf.6.2018.02.04.14.49.58
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 04 Feb 2018 14:49:58 -0800 (PST)
Date: Sun, 4 Feb 2018 22:49:56 +0000
From: Alan Third <alan@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
Message-ID: <20180204224956.GA53420@HIDDEN>
References: <m21si0a4ub.fsf@HIDDEN>
 <CAArVCkSMjS71D8K6ahM4+-k4RF0UUfVydVHtvxRWzezQEGq7sg@HIDDEN>
 <20180204210615.GB42949@HIDDEN>
 <20180204211224.GA53263@HIDDEN>
 <CAArVCkTObup563z7HqWd0Yisz75TWaUAJ=pBNY2crLOhohKmSQ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAArVCkTObup563z7HqWd0Yisz75TWaUAJ=pBNY2crLOhohKmSQ@HIDDEN>
User-Agent: Mutt/1.9.3 (2018-01-21)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Sun, Feb 04, 2018 at 09:28:12PM +0000, Philipp Stephani wrote:
> Alan Third <alan@HIDDEN> schrieb am So., 4. Feb. 2018 um 22:12 Uhr:
> 
> > On Sun, Feb 04, 2018 at 09:06:15PM +0000, Alan Third wrote:
> > > Oddly if you do
> > >
> > >     (file-accessible-directory-p "/usr/bin/true")
> > >
> > > it works correctly, but then once you run
> > >
> > >     (call-process "/usr/bin/true")
> > >
> > > file-accessible-directory-p incorrectly returns true on subsequent
> > > calls. Paul’s commit didn’t make any real changes to
> > > file-accessible-directory-p so I suspect this problem is older.
> >
> > In fact, I can replicate it on Emacs 25, so it’s an old bug.
> >
> >
> This is then a different bug; could you report it as a new one?

It’s actually all the same bug. Paul’s change made file-directory-p
use file-accessible-directory-p, and it’s playing up.

It looks like the root cause is faccessat returning 0 for
‘/usr/bin/true/.’ when it should probably be returning -1.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 4 Feb 2018 21:28:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 16:28:32 2018
Received: from localhost ([127.0.0.1]:57413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiRpu-0002La-Qz
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 16:28:32 -0500
Received: from mail-lf0-f41.google.com ([209.85.215.41]:38574)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1eiRpt-0002LN-G0
 for 30350 <at> debbugs.gnu.org; Sun, 04 Feb 2018 16:28:30 -0500
Received: by mail-lf0-f41.google.com with SMTP id g72so39006479lfg.5
 for <30350 <at> debbugs.gnu.org>; Sun, 04 Feb 2018 13:28:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=J/Mnxr9yqIx/XRuElueSAT8KZjO0u0tVAbXxeb2At8Q=;
 b=gqGyjYWdA47/LcP9hYXJC8kXq6EWAplxPwQB40AJHAb+KPSYEpmlceUfLMDF5Q5kSk
 VmdIXPKgUzwIEtWsyjjv+I2P2ldSja7L3PFRj+hLxlI93unQDKraMULwfqVhdvc+TCcC
 Uxobrs/9Yr/1fsH4e4QehEtDrgzw9uZLrvzRyYSV0863L8o9nxrMzruQKTyw8JhzT4rE
 INMtd767Gd6si7EN/DqsuRr9yEVPit2oFYrrmr55tac3pfNuRbPnvR7KKpghdT9tycqj
 ea1w8DNLZOTM8ncUyHrDz+FpfJj+PFgW68Rudg6cluk/P9DAlJKxy6fSpbv0vm+SL5UW
 VkZg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=J/Mnxr9yqIx/XRuElueSAT8KZjO0u0tVAbXxeb2At8Q=;
 b=djke4lcBiBeWu1MEmLCf6XqoWqY5lRxe4acH6jMKNSATtFcL+LXRKfSMQTimmawCte
 42/Ot4Cz/64Wjdktrhrqeq5cMLbvRPBpKdN8wApNVG4JlW8sXooHK81vGanthK0AjGDy
 WybhMJyX51uQ6m2jNe0jXH6WednVD9EwoZNoNTmWRO040qU+tCUntE1SyIsRtJqtaGP4
 Ov/cNWqpH0rMtBda7I0sSGNXQjJj+MyTEMH7MRBdMpkTDzz+tEGmuSYkj6sNKja6A1Dx
 hKgkU/+Pybl2JVfHlPuQPsLnjmC1QPoin19DDlVT0QnA3gi6BGYtHIldMdypUnDjNNVl
 wcEQ==
X-Gm-Message-State: APf1xPBjoVgUjVFk1Scmk+B9Ay9417SZ6Nh3NsdIFpuJp5UssmE87kAN
 EkpUVxdB1/nYdASh5ou/yN4LUUI/GefQco2Dopk=
X-Google-Smtp-Source: AH8x225N+VyI0ysgEc5rmrWX/6O4znkB+hqCcv7BHa2wsGgMXAPmcST+2hhRa2uIDwOQxQhDbnjQHYOGNCpt2N2GayI=
X-Received: by 10.46.73.81 with SMTP id b17mr38834ljd.144.1517779703514; Sun,
 04 Feb 2018 13:28:23 -0800 (PST)
MIME-Version: 1.0
References: <m21si0a4ub.fsf@HIDDEN>
 <CAArVCkSMjS71D8K6ahM4+-k4RF0UUfVydVHtvxRWzezQEGq7sg@HIDDEN>
 <20180204210615.GB42949@HIDDEN>
 <20180204211224.GA53263@HIDDEN>
In-Reply-To: <20180204211224.GA53263@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sun, 04 Feb 2018 21:28:12 +0000
Message-ID: <CAArVCkTObup563z7HqWd0Yisz75TWaUAJ=pBNY2crLOhohKmSQ@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary="f4f5e805e2a8134dc8056469a043"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--f4f5e805e2a8134dc8056469a043
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Alan Third <alan@HIDDEN> schrieb am So., 4. Feb. 2018 um 22:12 Uhr:

> On Sun, Feb 04, 2018 at 09:06:15PM +0000, Alan Third wrote:
> > Oddly if you do
> >
> >     (file-accessible-directory-p "/usr/bin/true")
> >
> > it works correctly, but then once you run
> >
> >     (call-process "/usr/bin/true")
> >
> > file-accessible-directory-p incorrectly returns true on subsequent
> > calls. Paul=E2=80=99s commit didn=E2=80=99t make any real changes to
> > file-accessible-directory-p so I suspect this problem is older.
>
> In fact, I can replicate it on Emacs 25, so it=E2=80=99s an old bug.
>
>
This is then a different bug; could you report it as a new one?

--f4f5e805e2a8134dc8056469a043
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Alan T=
hird &lt;<a href=3D"mailto:alan@HIDDEN">alan@HIDDEN</a>&gt; schrieb=
 am So., 4. Feb. 2018 um 22:12=C2=A0Uhr:<br></div><blockquote class=3D"gmai=
l_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left=
:1ex">On Sun, Feb 04, 2018 at 09:06:15PM +0000, Alan Third wrote:<br>
&gt; Oddly if you do<br>
&gt;<br>
&gt;=C2=A0 =C2=A0 =C2=A0(file-accessible-directory-p &quot;/usr/bin/true&qu=
ot;)<br>
&gt;<br>
&gt; it works correctly, but then once you run<br>
&gt;<br>
&gt;=C2=A0 =C2=A0 =C2=A0(call-process &quot;/usr/bin/true&quot;)<br>
&gt;<br>
&gt; file-accessible-directory-p incorrectly returns true on subsequent<br>
&gt; calls. Paul=E2=80=99s commit didn=E2=80=99t make any real changes to<b=
r>
&gt; file-accessible-directory-p so I suspect this problem is older.<br>
<br>
In fact, I can replicate it on Emacs 25, so it=E2=80=99s an old bug.<br>
<br></blockquote><div><br></div><div>This is then a different bug; could yo=
u report it as a new one?=C2=A0</div></div></div>

--f4f5e805e2a8134dc8056469a043--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 4 Feb 2018 21:12:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 16:12:33 2018
Received: from localhost ([127.0.0.1]:57406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiRaT-0001zX-Eg
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 16:12:33 -0500
Received: from mail-wr0-f174.google.com ([209.85.128.174]:35691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1eiRaS-0001zL-F4
 for 30350 <at> debbugs.gnu.org; Sun, 04 Feb 2018 16:12:32 -0500
Received: by mail-wr0-f174.google.com with SMTP id w50so27682099wrc.2
 for <30350 <at> debbugs.gnu.org>; Sun, 04 Feb 2018 13:12:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=6+EZYDVDcrM9NqspNciqPtlD68yhnfBPDuYHTCWbe2A=;
 b=Ug1tfSuKSrwuSczGoBA5c0xVK+osADjEg00HZortWTSNkhYz2qvinw/9Grn+0khHqH
 iee9gvOXteGUJPDMS1QGa/rEV6bJq8W4zx4BTnfEbicuiY3rJo6M6I8Xvbao601orW/I
 8xmk0NyUMcfsD4CPn+HFYXYJleV9jnRpBW7ELSvHMIsU+vfjUWikhFDOvbtQxGHthJkf
 VvgEahJ2UKhNCP65Uz3rX+jug4BPF/2y2odskPX3Mv4UbA8MJAeZZcmAbCxh1abEjqgl
 YMrfMX6ubcN2d1ABklqsFEuGgQ53x7nL6bihedORY9jzJefkBxA7oeHGxYc1oHjEqCw8
 RvMw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=6+EZYDVDcrM9NqspNciqPtlD68yhnfBPDuYHTCWbe2A=;
 b=UYQqkwKxUEfOb9xi8svaEyhiQ3sFIR/QPpzdEtvd+y61mlmTGrZ4K1n/5h/usjBiXz
 fUzkh9+eAP0qyHgW31ffLtw1yWgAnEqYnkwiDnk9jVRxIsBhmlsVBTrRvanXN8BpAiYP
 QimJD8Sm0ys0io6mlGUJ1uvAO0qAMSeNdpvoWZeLq35WBcq4PIKLfqJuKhjyI1pSYxea
 35t+lg96IUrudV4byZFohWPmmq2vRBVZL7Ku/4jONJFBLL7gf+FlptBT0R2/o+h31VcF
 PLBtTxzbsV8rDL1bTReO4ZLtTW9j0YRETQCg4teETX8NyVaqa1gq+gOezo7oNRCjQ1PS
 un/A==
X-Gm-Message-State: AKwxytdxNdXsnvsftyeGOUXMkMLjPoFRtOf8AujfyIhIZCsoLPaXYnhm
 DbhwHW8xsXvA85TCD5JNZLg=
X-Google-Smtp-Source: AH8x224C/Bpi8Lyr4pc6ZUijqycMRXWvKamq9yCKo/yX5+5+PF8qVot47r3QObdHHGTjTLosY0pvDQ==
X-Received: by 10.223.171.168 with SMTP id s37mr4694220wrc.154.1517778746839; 
 Sun, 04 Feb 2018 13:12:26 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-cccf-7143-dd46-9afe.holly.idiocy.org.
 [2001:8b0:3f8:8129:cccf:7143:dd46:9afe])
 by smtp.gmail.com with ESMTPSA id d17sm1175876wre.76.2018.02.04.13.12.25
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 04 Feb 2018 13:12:26 -0800 (PST)
Date: Sun, 4 Feb 2018 21:12:24 +0000
From: Alan Third <alan@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
Message-ID: <20180204211224.GA53263@HIDDEN>
References: <m21si0a4ub.fsf@HIDDEN>
 <CAArVCkSMjS71D8K6ahM4+-k4RF0UUfVydVHtvxRWzezQEGq7sg@HIDDEN>
 <20180204210615.GB42949@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20180204210615.GB42949@HIDDEN>
User-Agent: Mutt/1.9.3 (2018-01-21)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Sun, Feb 04, 2018 at 09:06:15PM +0000, Alan Third wrote:
> Oddly if you do
> 
>     (file-accessible-directory-p "/usr/bin/true")
> 
> it works correctly, but then once you run
> 
>     (call-process "/usr/bin/true")
> 
> file-accessible-directory-p incorrectly returns true on subsequent
> calls. Paul’s commit didn’t make any real changes to
> file-accessible-directory-p so I suspect this problem is older.

In fact, I can replicate it on Emacs 25, so it’s an old bug.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 4 Feb 2018 21:06:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 16:06:25 2018
Received: from localhost ([127.0.0.1]:57388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiRUX-0001qh-0f
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 16:06:25 -0500
Received: from mail-wm0-f51.google.com ([74.125.82.51]:37974)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1eiRUV-0001qS-DL
 for 30350 <at> debbugs.gnu.org; Sun, 04 Feb 2018 16:06:23 -0500
Received: by mail-wm0-f51.google.com with SMTP id 141so22090282wme.3
 for <30350 <at> debbugs.gnu.org>; Sun, 04 Feb 2018 13:06:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=sXsBCEKBz5cOPJjluHXfgcSVygE/E3EVtKsZeJH2o4s=;
 b=cbkaaL0B//ryfGjpxe8GnSJa0E7l6sjMyClq0h4p2tWnYKJHuM/Nh/PLzNHhaRK1KW
 LeD2hRaA6/2VdfFrUxbF0f8R6YssMy7m9P5eXmzLGG+bpOkXq8ggvIPaPIsFfTdXb1XE
 zG5oYEWebDr0kgKiTiFa7zE4USbTReafU5bDFYZeqS44a9Jr/Oua3mF0hBK1//yGB9XV
 Lz2XYXMDeMbdS/wcoR4CbAeO2GdEpdrLJowls8l7Y38ER2rcSLuyl0t6COTRUOGWswve
 rTJEUT+4tSbiytfZ1GYAq6mGwjdQW+JMRZJ3Q72k1nxbg/fhi44D9d5n1TY3w9HEO2yt
 qMjQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=sXsBCEKBz5cOPJjluHXfgcSVygE/E3EVtKsZeJH2o4s=;
 b=RTAGl56IgCGzq6IJSd8IusaEnEZbtGR1CHEapDn7CSOErbHAw/rf/JA44gkBsgC9Gl
 YejmX+On/B3G+n18bFFgNEeA3p4SyzKsyfwyY6ZAx+VtqN4KbSsoBUBcf1ONNVLW2nJa
 YrfFBKmKitPCA9SuUPlNpojJ0U2n9figQO1Fgf/3z+MZR292xtLttDbXHUcuKNmQhbZi
 Y6+rvLW2ce73+Z9YJiX8/sMVjT6AdbrLDI7K7oh/u8YAL0kMM6uiVG95V+ag6yfRWpNp
 VGTFedy5uxjgJldXcvsvGBt0cwfD/xqma0faEzpbIUsDdbNsjaAAEi56Te6W3aor5j9F
 wiAw==
X-Gm-Message-State: AKwxytcdwrvhNt9+o6xOMzOBbxc0lIVT3No4ZV8CGzId1nu1CGB3y12D
 VZEFve6K0EADGGA8e5mLCVo=
X-Google-Smtp-Source: AH8x226vBCmO+Lz4eyrhC78ioNJPtGqPrfhuOmWZu9y++W/kjtP3lp+t+17MdPB1Ca+0pMO8okRxsw==
X-Received: by 10.28.28.198 with SMTP id c189mr36171541wmc.104.1517778377777; 
 Sun, 04 Feb 2018 13:06:17 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-cccf-7143-dd46-9afe.holly.idiocy.org.
 [2001:8b0:3f8:8129:cccf:7143:dd46:9afe])
 by smtp.gmail.com with ESMTPSA id h13sm10240879wrc.89.2018.02.04.13.06.16
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 04 Feb 2018 13:06:17 -0800 (PST)
Date: Sun, 4 Feb 2018 21:06:15 +0000
From: Alan Third <alan@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
Message-ID: <20180204210615.GB42949@HIDDEN>
References: <m21si0a4ub.fsf@HIDDEN>
 <CAArVCkSMjS71D8K6ahM4+-k4RF0UUfVydVHtvxRWzezQEGq7sg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAArVCkSMjS71D8K6ahM4+-k4RF0UUfVydVHtvxRWzezQEGq7sg@HIDDEN>
User-Agent: Mutt/1.9.3 (2018-01-21)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Sun, Feb 04, 2018 at 08:20:48PM +0000, Philipp Stephani wrote:
> Philipp <p.stephani2@HIDDEN> schrieb am So., 4. Feb. 2018 um 21:17 Uhr:
> 
> >
> > For some reason the newest master can't seem to start subprocesses on
> > macOS:
> >
> > emacs -batch -Q --eval='(call-process "/usr/bin/true")'
> > Searching for program: Is a directory, /usr/bin/true
> >
> > Needless to say, /usr/bin/true is a regular file.
> >
> >
> According to 'git bisect', the problematic commit is
> 
> commit 327d251f8a857350a78029c31c7ab3f9797cc727
> 
> Author: Paul Eggert <eggert@HIDDEN>
> 
> Date:   Sat Feb 3 12:10:19 2018 -0800
> 
> 
>     Avoid EOVERFLOW problems with file-directory-p

Oddly if you do

    (file-accessible-directory-p "/usr/bin/true")

it works correctly, but then once you run

    (call-process "/usr/bin/true")

file-accessible-directory-p incorrectly returns true on subsequent
calls. Paul’s commit didn’t make any real changes to
file-accessible-directory-p so I suspect this problem is older.

Incidentally it looks like, on MSDOS, file_directory_p calls
file_accessible_directory_p, which calls file_directory_p.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 4 Feb 2018 20:25:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 15:25:20 2018
Received: from localhost ([127.0.0.1]:57366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiQqk-0000uP-Hd
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 15:25:18 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34081)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eiQqj-0000uB-GY
 for 30350 <at> debbugs.gnu.org; Sun, 04 Feb 2018 15:25:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eiQqZ-0000FW-E0
 for 30350 <at> debbugs.gnu.org; Sun, 04 Feb 2018 15:25:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33681)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eiQqZ-0000FS-A4; Sun, 04 Feb 2018 15:25:07 -0500
Received: from [176.228.60.248] (port=3139 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eiQqY-0001Hp-IR; Sun, 04 Feb 2018 15:25:07 -0500
Date: Sun, 04 Feb 2018 22:24:56 +0200
Message-Id: <83inbc8puv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Philipp <p.stephani2@HIDDEN>
In-reply-to: <m21si0a4ub.fsf@HIDDEN> (message from Philipp on Sun, 04 Feb
 2018 21:15:56 +0100)
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
References: <m21si0a4ub.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30350
Cc: 30350 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Philipp <p.stephani2@HIDDEN>
> Date: Sun, 04 Feb 2018 21:15:56 +0100
> 
> For some reason the newest master can't seem to start subprocesses on
> macOS:
> 
> emacs -batch -Q --eval='(call-process "/usr/bin/true")'
> Searching for program: Is a directory, /usr/bin/true
> 
> Needless to say, /usr/bin/true is a regular file.

Try reverting 327d251.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at 30350 <at> debbugs.gnu.org:


Received: (at 30350) by debbugs.gnu.org; 4 Feb 2018 20:21:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 15:21:07 2018
Received: from localhost ([127.0.0.1]:57362 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiQmh-0000oN-00
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 15:21:07 -0500
Received: from mail-lf0-f52.google.com ([209.85.215.52]:41451)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1eiQmf-0000nY-HK
 for 30350 <at> debbugs.gnu.org; Sun, 04 Feb 2018 15:21:05 -0500
Received: by mail-lf0-f52.google.com with SMTP id f136so38893884lff.8
 for <30350 <at> debbugs.gnu.org>; Sun, 04 Feb 2018 12:21:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=RDUZXluB8+0KU/ULQ2d+JZW9JK3Yb7Mp+2RVb+c6dyQ=;
 b=kNSH3oB57JkPmfCg+foIYtDh6uOL8pb3jB+0+B0HxbBtDZCN4SCzOzztGKQiabDO4K
 RoHlV92ANgFcRRtHDHsHK6fH+0QArxB5jGWRXSxCPB7DIpTkObKYC0kyRIMyfc6Fwi5m
 0qxlNCfeN1ktUfejKBbYyoInMQe+SQGRY0O/kcpkQDp3ci1XEQlET5mcsOqMtKSVetKJ
 aCVyed0YBkciGgCgENKWQSRSHZHonwvssonlZJ4g6jNAllrs0Sec6Yj0n2+FUfonkZML
 msW/rzjqjHZDLRcZWQ05Q65W7e/9lG4pRhelnSYNDEWabI5BYjw43bRQ4Q4H3zwikMZ+
 jFXQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=RDUZXluB8+0KU/ULQ2d+JZW9JK3Yb7Mp+2RVb+c6dyQ=;
 b=bonsOO4xFDJXTO3MdlbxXTyl9YhFnZXovtyY7AOjdUcy9NmjpBKOkNv+OCPjkltNib
 gT9r6h8CADtybxgtZJxvHtagj00f0S5eNgXBzRX9porGUGewK5Ii5TDd2bJjoPdDEFxI
 sa8ssKjrsUVoVSYsXqm5JUf0iJezmB4Sm8DeOh71tJcL5NTAJfWozQXJmLywWbKPxyU+
 usbSvjmwdX9mo56ZSghbRF8vzQvM4tMYzO0NY5MlkPW97S7Hb9911MdCHcNNG+gQLQBj
 pUyMrzLCnqvUK+44gYAbbsDAAfz02o6nmm+zkyfgopcucsUpcvXspFsfnwgtxlqkkeUQ
 1CGA==
X-Gm-Message-State: AKwxytfO0CpPhosMR03qDvtbipz8dm9cJ8qApgWKbDLCjIs/eXsG4phT
 2S3+Tu1zL20jpEvj6Z7P/1tkqNZIHNb3msV4tELkKA==
X-Google-Smtp-Source: AH8x224YNINFIki6BBxdHEAN4ie6N19urwn88suU7ah5zz8fbBbaAZXkEPvU1/inkoSwECoLqV/OEBKuMDq8Bh4Pe6g=
X-Received: by 10.46.74.1 with SMTP id x1mr6366836lja.84.1517775659154; Sun,
 04 Feb 2018 12:20:59 -0800 (PST)
MIME-Version: 1.0
References: <m21si0a4ub.fsf@HIDDEN>
In-Reply-To: <m21si0a4ub.fsf@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sun, 04 Feb 2018 20:20:48 +0000
Message-ID: <CAArVCkSMjS71D8K6ahM4+-k4RF0UUfVydVHtvxRWzezQEGq7sg@HIDDEN>
Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS
To: 30350 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="f403045ebdc2034147056468af0b"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 30350
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--f403045ebdc2034147056468af0b
Content-Type: text/plain; charset="UTF-8"

Philipp <p.stephani2@HIDDEN> schrieb am So., 4. Feb. 2018 um 21:17 Uhr:

>
> For some reason the newest master can't seem to start subprocesses on
> macOS:
>
> emacs -batch -Q --eval='(call-process "/usr/bin/true")'
> Searching for program: Is a directory, /usr/bin/true
>
> Needless to say, /usr/bin/true is a regular file.
>
>
According to 'git bisect', the problematic commit is

commit 327d251f8a857350a78029c31c7ab3f9797cc727

Author: Paul Eggert <eggert@HIDDEN>

Date:   Sat Feb 3 12:10:19 2018 -0800


    Avoid EOVERFLOW problems with file-directory-p

--f403045ebdc2034147056468af0b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Philip=
p &lt;<a href=3D"mailto:p.stephani2@HIDDEN">p.stephani2@HIDDEN</a>&gt=
; schrieb am So., 4. Feb. 2018 um 21:17=C2=A0Uhr:<br></div><blockquote clas=
s=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;pad=
ding-left:1ex"><br>
For some reason the newest master can&#39;t seem to start subprocesses on<b=
r>
macOS:<br>
<br>
emacs -batch -Q --eval=3D&#39;(call-process &quot;/usr/bin/true&quot;)&#39;=
<br>
Searching for program: Is a directory, /usr/bin/true<br>
<br>
Needless to say, /usr/bin/true is a regular file.<br>
<br>
</blockquote><div><br></div><div>According to &#39;git bisect&#39;, the pro=
blematic commit is</div><div><br></div>





<p class=3D"inbox-inbox-p1"><span class=3D"inbox-inbox-s1">commit 327d251f8=
a857350a78029c31c7ab3f9797cc727</span></p>
<p class=3D"inbox-inbox-p2"><span class=3D"inbox-inbox-s1">Author: Paul Egg=
ert &lt;<a href=3D"mailto:eggert@HIDDEN">eggert@HIDDEN</a>&gt;</s=
pan></p>
<p class=3D"inbox-inbox-p2"><span class=3D"inbox-inbox-s1">Date: <span clas=
s=3D"inbox-inbox-Apple-converted-space">=C2=A0 </span>Sat Feb 3 12:10:19 20=
18 -0800</span></p>
<p class=3D"inbox-inbox-p3"><span class=3D"inbox-inbox-s1"></span><br></p>
<div><span class=3D"inbox-inbox-Apple-converted-space">=C2=A0 =C2=A0=C2=A0<=
/span>Avoid EOVERFLOW problems with file-directory-p=C2=A0</div></div></div=
>

--f403045ebdc2034147056468af0b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Feb 2018 20:16:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 15:16:12 2018
Received: from localhost ([127.0.0.1]:57353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiQhw-0000ge-0h
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 15:16:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1eiQhs-0000gQ-Pl
 for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 15:16:09 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <p.stephani2@HIDDEN>) id 1eiQhm-0003t8-95
 for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 15:16:03 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57665)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <p.stephani2@HIDDEN>)
 id 1eiQhm-0003sv-5r
 for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 15:16:02 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51547)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <p.stephani2@HIDDEN>) id 1eiQhk-0006L8-Qt
 for bug-gnu-emacs@HIDDEN; Sun, 04 Feb 2018 15:16:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <p.stephani2@HIDDEN>) id 1eiQhj-0003rX-NI
 for bug-gnu-emacs@HIDDEN; Sun, 04 Feb 2018 15:16:00 -0500
Received: from mail-wm0-x22c.google.com ([2a00:1450:400c:c09::22c]:53428)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <p.stephani2@HIDDEN>)
 id 1eiQhj-0003rK-Ft
 for bug-gnu-emacs@HIDDEN; Sun, 04 Feb 2018 15:15:59 -0500
Received: by mail-wm0-x22c.google.com with SMTP id t74so22417304wme.3
 for <bug-gnu-emacs@HIDDEN>; Sun, 04 Feb 2018 12:15:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=v0HDM8df23CPqed9u60mlH6gLCVRp5xohAF2yArqWpw=;
 b=j/tH9FyBUPKq2GNpmJ5+rIr6Vd+LGdrmhYNtTLkAb0a0V3gnZ73Qz7S+V0aDIQ4qht
 Qc3B1QdZEA4xl84kFWXvvRghth14wgluJSlcLcvANnpe+TgzYinSC2uOEIpH5bk4vGII
 QZYHX+OKyJfaD+BAgymLoILTcgqUJPQ4aZnZefB4ilPBE8tMjO6n2ACc/FuAch5ynTb6
 MpqdtBQy13XW2xivgTQ1gjHfxfArFzN0NKQiuCsZdRJbIvuEG8y6YJSr1MJp10dmtR8d
 IUK1vAF7tC1Fr2MX0tMpp5wfWBvamT1/oaIEE1UyUYaz2TIEvHg48WYGlQSiUmifnX1j
 SVoA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=v0HDM8df23CPqed9u60mlH6gLCVRp5xohAF2yArqWpw=;
 b=QgjgjdT1WnnOqbLLZC4sqwjGE4RNV3+hflbiDaMvk1Isk/XJlJjwFPvOn59KtclE01
 SA5DAIWIZIF2XBTMFewYoVn6F9JHQksZrtQOf9hAOfTQ0lgQSm6Zpet8F9baYIYCk7yT
 8f/PfwoNlZyHhWPTNx8LCW9yhH8tAAV0W1u44VWm2jQ/pOifI4PiZDEXMh5CxfJgGnj+
 hj8fxgYgmuGdkE5ipB9sqL/qxw6IHLOf35fX5MR5d19AefF+51mVWEIOgv7y0zzdAnSv
 823KloPOzmit3TXfTRtuoNfTjMMIcgp1AzNcvZE1UC0TGfzXbHui4qYVpLgf8Ftxz15u
 R66g==
X-Gm-Message-State: AKwxytdJFabrVMFT2AIVJvtYtuJO9rvvi7GxSK4QjJJKTP+occFn8ezn
 K23L8+8vmKoy1mSdSbYIHTVVwfaC
X-Google-Smtp-Source: AH8x226mBuaRD4xZW6q26JH7yhI5Yj2hAvvHK/l8x/s9hC5oWpmefRa79yGcvBTe17O9cBYyfzcMCg==
X-Received: by 10.28.208.76 with SMTP id h73mr35778124wmg.35.1517775358082;
 Sun, 04 Feb 2018 12:15:58 -0800 (PST)
Received: from p ([2001:4c50:25a:2900:d171:8170:66c8:e09c])
 by smtp.gmail.com with ESMTPSA id b11sm3718892wrf.23.2018.02.04.12.15.56
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 04 Feb 2018 12:15:57 -0800 (PST)
From: Philipp <p.stephani2@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Newest master can't run processes on macOS
Date: Sun, 04 Feb 2018 21:15:56 +0100
Message-ID: <m21si0a4ub.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)


For some reason the newest master can't seem to start subprocesses on
macOS:

emacs -batch -Q --eval='(call-process "/usr/bin/true")'
Searching for program: Is a directory, /usr/bin/true

Needless to say, /usr/bin/true is a regular file.


In GNU Emacs 27.0.50 (build 40, x86_64-apple-darwin17.4.0, NS appkit-1561.20 Version 10.13.3 (Build 17D47))
 of 2018-02-04 built on p
Windowing system distributor 'Apple', version 10.3.1561
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --with-modules --without-pop --with-mailutils
 --enable-gcc-warnings=yes --enable-checking
 --enable-check-lisp-object-type 'CFLAGS=-ggdb3 -O0''

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS
JSON

Important settings:
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils elec-pair time-date
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 204833 6997)
 (symbols 48 20086 1)
 (miscs 40 56 123)
 (strings 32 28886 1866)
 (string-bytes 1 771535)
 (vectors 16 35247)
 (vector-slots 8 721894 13798)
 (floats 8 52 64)
 (intervals 56 205 0)
 (buffers 992 11))




Acknowledgement sent to Philipp <p.stephani2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#30350; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.